Index: /trunk/themes/Sylvia/theme.css
===================================================================
--- /trunk/themes/Sylvia/theme.css	(revision 7876)
+++ /trunk/themes/Sylvia/theme.css	(revision 7877)
@@ -8,5 +8,5 @@
 #comments form.filter input[type="submit"] { margin-top:1.8em; }
 /*  Sylvia Theme is close to the Roma Admin theme */
-BODY, H1, H3, DT, .rateButtonSelected, H2, #menubar DT { 
+BODY, H1, H3, DT, INPUT.rateButtonSelected, H2, #menubar DT { 
 	color:#666; 
 }
Index: /trunk/themes/clear/theme.css
===================================================================
--- /trunk/themes/clear/theme.css	(revision 7876)
+++ /trunk/themes/clear/theme.css	(revision 7877)
@@ -2,5 +2,5 @@
 /* text color */
 BODY, H1, H2, H3, DT,
-.rateButtonSelected /* <= why IE doesn't inherit this ? */ {
+INPUT.rateButtonSelected /* <= why IE doesn't inherit this ? */ {
 	color:#696969;	/* dimgray */
 }
@@ -50,10 +50,10 @@
 
 /* links */
-A, .rateButton {
+A, INPUT.rateButton {
     color: #005e89;
     background: transparent;
 }
 
-A:hover, .rateButton:hover {
+A:hover, INPUT.rateButton:hover {
     color: #858460;
 }
Index: /trunk/themes/dark/theme.css
===================================================================
--- /trunk/themes/dark/theme.css	(revision 7876)
+++ /trunk/themes/dark/theme.css	(revision 7877)
@@ -2,5 +2,5 @@
 /* text color */
 BODY, H1, H3,
-.rateButtonSelected /* <= why IE doesn't inherit this ? */ {
+INPUT.rateButtonSelected /* <= why IE doesn't inherit this ? */ {
 	color:#d0d0d0;
 }
@@ -66,5 +66,5 @@
 
 /* links */
-A, .rateButton {
+A, INPUT.rateButton {
 	color: #fff;
 	border: 0;
Index: /trunk/themes/default/template/comment_list.tpl
===================================================================
--- /trunk/themes/default/template/comment_list.tpl	(revision 7876)
+++ /trunk/themes/default/template/comment_list.tpl	(revision 7877)
@@ -3,55 +3,56 @@
 {foreach from=$comments item=comment name=comment_loop}
 <li>
-  <div class="thumbnailCategory {if $smarty.foreach.comment_loop.index is odd}odd{else}even{/if}">
-    {if isset($comment.TN_SRC)}
-    <div class="illustration">
-      <a href="{$comment.U_PICTURE}">
-        <img src="{$comment.TN_SRC}" alt="{$comment.ALT}">
-      </a>
-    </div>
-    {/if}
-    <div class="description" style="height:{if isset($comment.IN_EDIT)}200{/if}px">
-      {if isset($comment.U_DELETE) or isset($comment.U_VALIDATE) or isset($comment.U_EDIT) }
-      <ul class="actions" style="float:right">
-        {if isset($comment.U_DELETE)}
-        <li>
-          <a href="{$comment.U_DELETE}" title="{'delete this comment'|@translate}" onclick="return confirm('{'Are you sure?'|@translate|@escape:javascript}');">
-            <img src="{$ROOT_URL}{$themeconf.icon_dir}/delete.png" class="button" alt="[delete]">
-          </a>
-        </li>
-        {/if}
-        {if isset($comment.U_EDIT) and !isset($comment.IN_EDIT)}
-        <li>
-          <a class="editComment" href="{$comment.U_EDIT}#edit_comment" title="{'edit this comment'|@translate}">
-            <img src="{$ROOT_URL}{$themeconf.icon_dir}/edit.png" class="button" alt="[edit]">
-          </a>
-        </li>
-        {/if}
-        {if isset($comment.U_VALIDATE)}
-        <li>
-          <a href="{$comment.U_VALIDATE}" title="{'validate this comment'|@translate}">
-            <img src="{$ROOT_URL}{$themeconf.icon_dir}/validate_s.png" class="button" alt="[validate]">
-          </a>
-        </li>
-        {/if}
-      </ul>
-      {/if}
-      <span class="author">{$comment.AUTHOR}</span> - <span class="date">{$comment.DATE}</span>
-      {if isset($comment.IN_EDIT)}
-      <a name="edit_comment"></a>
-      <form  method="post" action="{$comment.U_EDIT}" class="filter" id="editComment">
-  <fieldset>
-    <legend>{'Edit a comment'|@translate}</legend>
-    <label>{'Comment'|@translate}<textarea name="content" id="contenteditid" rows="5" cols="80">{$comment.CONTENT|@escape}</textarea></label>
-    <input type="hidden" name="key" value="{$comment.KEY}">
-    <input type="hidden" name="image_id" value="{$comment.IMAGE_ID|@default:$current.id}">
-    <input class="submit" type="submit" value="{'Submit'|@translate}">
-  </fieldset>
-      </form>
-      {else}
-      <blockquote><div>{$comment.CONTENT}</div></blockquote>
-      {/if}
-    </div>
-  </div>
+	<div class="thumbnailCategory {if $smarty.foreach.comment_loop.index is odd}odd{else}even{/if}">
+	{if isset($comment.TN_SRC)}
+	<div class="illustration">
+		<a href="{$comment.U_PICTURE}">
+		<img src="{$comment.TN_SRC}" alt="{$comment.ALT}">
+		</a>
+	</div>
+	{/if}
+	<div class="description"{if isset($comment.IN_EDIT)} style="height:200px"{/if}>
+		{if isset($comment.U_DELETE) or isset($comment.U_VALIDATE) or isset($comment.U_EDIT) }
+		<ul class="actions" style="float:right">
+		{if isset($comment.U_DELETE)}
+		<li>
+			<a href="{$comment.U_DELETE}" title="{'delete this comment'|@translate}" onclick="return confirm('{'Are you sure?'|@translate|@escape:javascript}');">
+				<img src="{$ROOT_URL}{$themeconf.icon_dir}/delete.png" class="button" alt="[delete]">
+			</a>
+		</li>
+		{/if}
+		{if isset($comment.U_EDIT) and !isset($comment.IN_EDIT)}
+		<li>
+			<a class="editComment" href="{$comment.U_EDIT}#edit_comment" title="{'edit this comment'|@translate}">
+				<img src="{$ROOT_URL}{$themeconf.icon_dir}/edit.png" class="button" alt="[edit]">
+			</a>
+		</li>
+		{/if}
+		{if isset($comment.U_VALIDATE)}
+		<li>
+			<a href="{$comment.U_VALIDATE}" title="{'validate this comment'|@translate}">
+				<img src="{$ROOT_URL}{$themeconf.icon_dir}/validate_s.png" class="button" alt="[validate]">
+			</a>
+		</li>
+		{/if}
+		</ul>
+		{/if}
+
+		<span class="author">{$comment.AUTHOR}</span> - <span class="date">{$comment.DATE}</span>
+		{if isset($comment.IN_EDIT)}
+		<a name="edit_comment"></a>
+		<form  method="post" action="{$comment.U_EDIT}" class="filter" id="editComment">
+			<fieldset>
+				<legend>{'Edit a comment'|@translate}</legend>
+				<label>{'Comment'|@translate}<textarea name="content" id="contenteditid" rows="5" cols="80">{$comment.CONTENT|@escape}</textarea></label>
+				<input type="hidden" name="key" value="{$comment.KEY}">
+				<input type="hidden" name="image_id" value="{$comment.IMAGE_ID|@default:$current.id}">
+				<input class="submit" type="submit" value="{'Submit'|@translate}">
+			</fieldset>
+		</form>
+		{else}
+		<blockquote><div>{$comment.CONTENT}</div></blockquote>
+		{/if}
+	</div>
+	</div>
 </li>
 {/foreach}
Index: /trunk/themes/default/template/picture_nav_buttons.tpl
===================================================================
--- /trunk/themes/default/template/picture_nav_buttons.tpl	(revision 7876)
+++ /trunk/themes/default/template/picture_nav_buttons.tpl	(revision 7877)
@@ -64,41 +64,41 @@
   </div>
 
-<script type="text/javascript">// <![CDATA[
-{literal}
-function keyboardNavigation(e)
+<script type="text/javascript">// <![CDATA[ {literal}
+document.onkeydown = function(e)
 {
-	if(!e) e=window.event;
+	e=e||window.event;
 	if (e.altKey) return true;
-	var target = e.target || e.srcElement;
+	var target = e.target||e.srcElement;
 	if (target && target.type) return true; //an input editable element
-	var keyCode=e.keyCode || e.which;
+	var keyCode = e.keyCode||e.which;
 	var docElem = document.documentElement;
+	var url;
 	switch(keyCode) {
 {/literal}
 {if isset($next)}
-	case 63235: case 39: if (e.ctrlKey || docElem.scrollLeft==docElem.scrollWidth-docElem.clientWidth ){ldelim}window.location="{$next.U_IMG}".replace( "&amp;", "&" ); return false; } break;
+	case 63235: case 39: if (e.ctrlKey || docElem.scrollLeft==docElem.scrollWidth-docElem.clientWidth)url="{$next.U_IMG|@escape:jasvascript}";  break;
 {/if}
 {if isset($previous)}
-	case 63234: case 37: if (e.ctrlKey || docElem.scrollLeft==0){ldelim}window.location="{$previous.U_IMG|@escape:jasvascript}".replace("&amp;","&"); return false; } break;
+	case 63234: case 37: if (e.ctrlKey || docElem.scrollLeft==0)url="{$previous.U_IMG|@escape:jasvascript}"; break;
 {/if}
 {if isset($first)}
-	/*Home*/case 36: if (e.ctrlKey){ldelim}window.location="{$first.U_IMG|@escape:jasvascript}".replace("&amp;","&"); return false; } break;
+	/*Home*/case 36: if (e.ctrlKey)url="{$first.U_IMG|@escape:jasvascript}"; break;
 {/if}
 {if isset($last)}
-	/*End*/case 35: if (e.ctrlKey){ldelim}window.location="{$last.U_IMG|@escape:jasvascript}".replace("&amp;","&"); return false; } break;
+	/*End*/case 35: if (e.ctrlKey)url="{$last.U_IMG|@escape:jasvascript}"; break;
 {/if}
 {if isset($U_UP) and !isset($slideshow)}
-	/*Up*/case 38: if (e.ctrlKey){ldelim}window.location="{$U_UP|@escape:jasvascript}".replace("&amp;","&"); return false; } break;
+	/*Up*/case 38: if (e.ctrlKey)url="{$U_UP|@escape:jasvascript}"; break;
 {/if}
 
 {if isset($slideshow.U_START_PLAY)}
-	/*Pause*/case 32: {ldelim}window.location="{$slideshow.U_START_PLAY|@escape:jasvascript}".replace("&amp;","&"); return false; } break;
+	/*Pause*/case 32: url="{$slideshow.U_START_PLAY|@escape:jasvascript}"; break;
 {/if}
 {if isset($slideshow.U_STOP_PLAY)}
-	/*Play*/case 32: {ldelim}window.location="{$slideshow.U_STOP_PLAY|@escape:jasvascript}".replace("&amp;","&"); return false; } break;
+	/*Play*/case 32: url="{$slideshow.U_STOP_PLAY|@escape:jasvascript}"; break;
 {/if}
 	}
+	if (url) {ldelim}window.location=url.replace("&amp;","&"); return false;}
 	return true;
 }
-document.onkeydown=keyboardNavigation;
 // ]]></script>
Index: /trunk/themes/default/theme.css
===================================================================
--- /trunk/themes/default/theme.css	(revision 7876)
+++ /trunk/themes/default/theme.css	(revision 7877)
@@ -301,5 +301,5 @@
 	display: table-cell;/* block prevents vertical-align here */
 	vertical-align: middle;/* Ok with Opera and Geko not IE6 */
-	border-radius: 4px 4px;	/* round corners with CSS3 compliant browsers */
+	border-radius: 4px;	/* round corners with CSS3 compliant browsers */
 	-moz-border-radius: 4px;	/* round corners with Geko */
 	-webkit-border-radius: 4px; /* Safari webkit project */
@@ -400,4 +400,6 @@
 	padding:0;
 	border:0;
+	color:inherit;
+	background-color:transparent !important;	/* Konqueror doesn't accept transparent here */
 }
 
@@ -418,4 +420,5 @@
 	background: url('icon/rating-stars.gif') no-repeat scroll; background-position:0 center; width:16px;
 }
+
 
 /**
@@ -652,15 +655,10 @@
 }
 
-#thePopuphelpPage P {
-	text-align: justify;
+#thePopuphelpPage P, #theNotificationPage P {
 	padding: 0.5em;
 }
 
-#thePopuphelpPage LI {
-	margin-bottom: 0.5em;
-}
-
-#theNotificationPage P {
-	padding: 0.5em;
+#theNotificationPage DL, #thePopuphelpPage DL {
+	margin: 0 25px 25px; 
 }
 
@@ -696,8 +694,4 @@
 
 #theHeader {text-align: center;}
-
-#theNotificationPage DL, #thePopuphelpPage DL {
-	margin: 0 25px 25px; 
-}
 
 .content #comments UL.thumbnailCategories LI { width:99%; }
@@ -772,9 +766,4 @@
 }
 
-/* rate buttons displayed like links */
-.rateButton, .rateButtonSelected, .rateButtonStarFull, .rateButtonStarEmpty {
-	color:inherit;
-	background-color:transparent !important;	/* Konqueror doesn't accept transparent here */
-}
 
 .errors { /* Errors display */