Index: /extensions/lmt/language/lv_LV/description.txt
===================================================================
--- /extensions/lmt/language/lv_LV/description.txt	(revision 7878)
+++ /extensions/lmt/language/lv_LV/description.txt	(revision 7878)
@@ -0,0 +1,1 @@
+Licences pielietošana attēliem
Index: /extensions/lmt/language/lv_LV/index.php
===================================================================
--- /extensions/lmt/language/lv_LV/index.php	(revision 7878)
+++ /extensions/lmt/language/lv_LV/index.php	(revision 7878)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/lmt/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/lmt/language/lv_LV/plugin.lang.php	(revision 7878)
+++ /extensions/lmt/language/lv_LV/plugin.lang.php	(revision 7878)
@@ -0,0 +1,172 @@
+<?php
+
+$lang['example'] = 'Rādīt paraugu';
+$lang['lmt_action'] = 'Darbības';
+$lang['lmt_add'] = 'Pievienot';
+$lang['lmt_add_author'] = 'Pievienot autoru';
+$lang['lmt_add_licence_ko'] = 'Izvēlētajām vienībām nav pielietota licencēšana';
+$lang['lmt_add_licence_ok'] = 'Izvēlētajām vienībām ir pielietota licencēšana';
+$lang['lmt_add_to_caddie'] = 'Pievienot vienības grozam';
+$lang['lmt_apply'] = 'Pielietot';
+$lang['lmt_apply_do_clear'] = 'Pielietot licenci un iztukšot grozu';
+$lang['lmt_apply_do_clear_selected'] = 'Pielietot licenci un izņemt no groza izvēlētās vienības';
+$lang['lmt_apply_do_nothing'] = 'Pielietot licenci un nemodificēt grozu';
+$lang['lmt_author'] = 'Autors';
+$lang['lmt_author_added'] = 'Tika pievienots autors';
+$lang['lmt_author_deleted'] = 'Tika izdzēsts autors';
+$lang['lmt_author_modified'] = 'Autors tika modificēts';
+$lang['lmt_author_nb_images_updated'] = 'šim autoram piesaistītie attēli ir atjaunināti';
+$lang['lmt_author_nfo'] = 'Kad skatāmajai lapai tiek pievienots licences logo, iespējams noteikt, kuram autoram pieder šī licence.';
+$lang['lmt_author_one_image_updated'] = 'Šim autoram piesaistītais attēls ir atjaunināts';
+$lang['lmt_author_title'] = 'Autoru saraksts';
+$lang['lmt_author_txt1'] = 'Teksts 1';
+$lang['lmt_author_txt2'] = 'Teksts 2';
+$lang['lmt_authoradd_title'] = 'Pievienot autoru';
+$lang['lmt_authormodify_title'] = 'Rediģēt autoru';
+$lang['lmt_bydefault'] = 'Pielietot licenci pēc noklusēšanas';
+$lang['lmt_caddie_is_empty_please_fill_it'] = 'Licences pielietošana ir veikta groza saturam. Par nelaimi tas ir tukšs ...';
+$lang['lmt_caddie_items'] = 'Vienības grozā';
+$lang['lmt_caddie_not_updated'] = 'Grozu nav iespējams atjaunināt';
+$lang['lmt_caddie_updated'] = 'Grozs ir atjaunināts';
+$lang['lmt_cancel'] = 'Atcelt';
+$lang['lmt_cannot_add_author'] = 'Nav iespējams pievienot autoru';
+$lang['lmt_cannot_delete_author'] = 'Autoru nav iespējams izdzēst';
+$lang['lmt_cannot_modify_author'] = 'Autoru nevar nomainīt';
+$lang['lmt_category'] = 'Kategorija';
+$lang['lmt_cc-all'] = 'Visas licences';
+$lang['lmt_cc_url'] = 'http://creativecommons.org/international/';
+$lang['lmt_cfg_licence_activated'] = 'Aktivēt licenču pārvaldību';
+$lang['lmt_cfg_licence_default'] = 'Licences pielietojuma izvēle pēc noklusējuma';
+$lang['lmt_cfg_licence_default_author'] = 'Autora izvēle licencei pēc noklusējuma';
+$lang['lmt_cfg_licence_logo'] = 'Attēlotais logo tips';
+$lang['lmt_cfg_licence_visible'] = 'Licence tiek rādīta vienmēr, pat ja tā ir licence pēc noklusējuma';
+$lang['lmt_cfg_list_maxheight'] = 'Sarakstu maksimālais augstums';
+$lang['lmt_cfg_list_maxitems'] = 'Maksimālais rādāmo vienību skaits';
+$lang['lmt_cfg_warning_link'] = 'Iespējot novirzīšanu';
+$lang['lmt_cfg_warning_texts'] = 'Kājenes teksts';
+$lang['lmt_cfg_warning_visible'] = 'Skatīt pēc noklusējuma pielietoto licenci lapas apakšā';
+$lang['lmt_choose_select'] = '&lt;Atlasīt&gt;';
+$lang['lmt_clear_caddie_ko'] = 'Grozu nevar iztukšot';
+$lang['lmt_clear_caddie_ok'] = 'Grozs ir iztukšots';
+$lang['lmt_clear_si_caddie_ko'] = 'Atlasītās vienības nevar izdzēst no groza';
+$lang['lmt_clear_si_caddie_ok'] = 'Atlasītās vienības ir izdzēstas no groza';
+$lang['lmt_config'] = 'Iestatījumi';
+$lang['lmt_def_--'] = 'Šo darbu var brīvi lietot, kā balvu par to, pieminot darba autora vārdu';
+$lang['lmt_def_nc'] = 'Tiesību turētājs var dot atļauju darba visa veida izmantošanai, vai noteikt ierobežojumus nekomerciālai izmantošanai (komerciāla izmantošana ir atļaujas objekts).';
+$lang['lmt_def_nd'] = 'Tiesību turētājs var paturēt sev tiesības veikt dažādus atvasinājumus vai iepriekš atļaut veikt izmaiņas, tulkojumus...';
+$lang['lmt_def_sa'] = 'Izmantojot iepriekšēju atļauju, iespējams nodrošināt tādus pat darba apstākļus kā oriģinālam ar licenci, tā saucamo, deriatīvo darbu veikšanai (tādas pat iespējas kā Creative Commons).';
+$lang['lmt_delete'] = 'Dzēst';
+$lang['lmt_display_config'] = 'Rādīšanas iespējas';
+$lang['lmt_do_save'] = 'Saglabāt iestatījumus';
+$lang['lmt_dontapply_do_clear_selected'] = 'Dzēst atlasītos vienumus no groza nepielietojot licenci';
+$lang['lmt_error_on_image_author'] = 'Radās problēmas atjauninot dzēstajam autoram piesaistītos elementus';
+$lang['lmt_four_way'] = '4 principi';
+$lang['lmt_general_config'] = 'Vispārējās iespējas';
+$lang['lmt_general_text'] = '[logo=80x15]Šīs web lapas medijs ir tiesību subjekts un, ja citādāk nav noteikts, tiek izplatīts kā nosaka Creative Commons Licence [text=logo]';
+$lang['lmt_help'] = 'Palīdzība';
+$lang['lmt_help_config'][1] = 'Atkarībā no licencēto elementu skaita vai Jūsu grozā esošā elementu skaita, mainīsies rādošā ekrāna izmērs. Pārāk liels ekrāns var mazināt lapas lasīšanas komfortu. <br> Šo parametru lieto, lai maksimizētu ekrāna maksimālo aukstumu.';
+$lang['lmt_help_config'][2] = 'Izvēlas pārvaldīt vai nepārvaldīt licences. Salīdzināma ar pilnīgi atslēgta spraudņa efektu, šī iespēja ļauj atslēgt licences pārvaldību web lapas publiskajā pusē, tai pat laikā, saglabājot spraudņa administrēšanu aktīvu.';
+$lang['lmt_help_config'][3] = 'Šī iespēja (opcija) vienmēr rāda elementa licenci, pat, ja iestatīta licence pēc noklusēšanas.
+<br> Ja šī iespēja nav aktivēta, tiks rādīta licence tikai noteiktiem atsevišķi licencētiem elementiem.';
+$lang['lmt_help_config'][4] = 'Šī iespēja ļauj izvēlēties licenci pēc noklusēšanas elementiem, kuriem iepriekš licence nav bijusi piemērota.';
+$lang['lmt_help_config'][5] = 'Šī iespēja atļauj izvēlēties, vai rādīt licenci pēc noklusēšanas visās lapās vai ne (tiks rādīta lapas kējenē).';
+$lang['lmt_help_config'][6] = 'Ja iespējots, licences pārstāvošais logo ir saite, kas novirza uz lapu, kur detaļās izskaidroti elementa darbības apstākļi.';
+$lang['lmt_help_config'][7] = 'Lapas kājenē parādītais licences teksts tiek mainīts, atkarībā no jūsu vajadzībām. <br> Iespējam skatīt elementus automātiskā režīmā: <br> <b>[logo=80x15]</b> ievieto 80x15 licences pēc noklusējuma logo <br> <b>[logo=88x31]</b> ievieto 88x31 licences pēc noklusējuma logo<br> <b>[logo=text]</b>ievieto licences pēc noklusējuma tekstu';
+$lang['lmt_help_config'][8] = 'Šī iespēja ļauj izvēlēties autoru, kurš tiks piesaistīts licencei pēc noklusēšanas.';
+$lang['lmt_help_config'][9] = 'Šī iespēja ļauj izvēlēties lapā attēlojamo elementu skaitu.';
+$lang['lmt_icon_80x15'] = '80x15 ikona';
+$lang['lmt_icon_88x31'] = '88x31 ikona';
+$lang['lmt_icon_text'] = 'Teksts';
+$lang['lmt_image'] = 'Attēls';
+$lang['lmt_lbl_cc-by'] = 'Kompetence';
+$lang['lmt_lbl_cc-by-nc'] = 'Kompetence, Nekomerciāls';
+$lang['lmt_lbl_cc-by-nc-nd'] = 'Kompetence, Nekomerciāls, NeDerivātdarbs';
+$lang['lmt_lbl_cc-by-nc-sa'] = 'Kompetence, Nekomerciāls, Koplietošana';
+$lang['lmt_lbl_cc-by-nd'] = 'Kompetence, NeDerivātdarbs';
+$lang['lmt_lbl_cc-by-sa'] = 'Kompetence, Koplietošana';
+$lang['lmt_lbl_cc-cleft'] = 'Brīvtiesības';
+$lang['lmt_lbl_cc-cright'] = 'Autortiesības';
+$lang['lmt_lbl_cc-default'] = 'Licence pēc noklusējuma';
+$lang['lmt_lbl_cc_s-by'] = 'Creative Commons BY';
+$lang['lmt_lbl_cc_s-by-nc'] = 'Creative Commons BY-NC';
+$lang['lmt_lbl_cc_s-by-nc-nd'] = 'Creative Commons BY-NC-ND';
+$lang['lmt_lbl_cc_s-by-nc-sa'] = 'Creative Commons BY-NC-SA';
+$lang['lmt_lbl_cc_s-by-nd'] = 'Creative Commons BY-ND';
+$lang['lmt_lbl_cc_s-by-sa'] = 'Creative Commons BY-SA';
+$lang['lmt_lbl_cc_s-cleft'] = 'Brīvtiesības';
+$lang['lmt_lbl_cc_s-cright'] = '© Autortiesības';
+$lang['lmt_lbl_cc_s-default'] = ' - ';
+$lang['lmt_lbl_under-by'] = 'Publicēts licencēti';
+$lang['lmt_lbl_under-by-nc'] = 'Publicēts licencēti';
+$lang['lmt_lbl_under-by-nc-nd'] = 'Publicēts licencēti';
+$lang['lmt_lbl_under-by-nc-sa'] = 'Publicēts licencēti';
+$lang['lmt_lbl_under-by-nd'] = 'Publicēts licencēti';
+$lang['lmt_lbl_under-by-sa'] = 'Publicēts licencēti';
+$lang['lmt_lbl_under-cleft'] = 'Publicēts licencēti';
+$lang['lmt_lbl_under-cright'] = '';
+$lang['lmt_lbl_under-default'] = '';
+$lang['lmt_licence'] = 'Licence';
+$lang['lmt_licence_config'] = 'Licences pārvaldība';
+$lang['lmt_licence_to_apply'] = 'Licences izvēle';
+$lang['lmt_list'] = 'Licencētie foto';
+$lang['lmt_lst_apply_filter'] = 'Filtrs';
+$lang['lmt_lst_default_licence'] = 'Fotoattēli pēc noklusējuma ir publicēti izmantojot sekojošu licenci';
+$lang['lmt_lst_nb_photos'] = 'fotoattēli';
+$lang['lmt_lst_special_licence'] = 'Sekojoši fotoattēli ir publicēti ar licenci';
+$lang['lmt_manage'] = 'Piešķīrumu pārvaldīšana';
+$lang['lmt_manageaut'] = 'Autoru pārvaldība';
+$lang['lmt_modify'] = 'Rediģēt';
+$lang['lmt_name'] = 'Nosaukums';
+$lang['lmt_nav_first'] = 'Pirmais';
+$lang['lmt_nav_last'] = 'Pēdējais';
+$lang['lmt_nav_next'] = 'Nākamais';
+$lang['lmt_nav_prev'] = 'Iepriekšējais';
+$lang['lmt_nb_author_one'] = '1 autors izvēlēts';
+$lang['lmt_nb_author_zero'] = 'Nav izvēlēta autora';
+$lang['lmt_nb_authors'] = 'autori izvēlēti';
+$lang['lmt_no_author'] = '&lt;Nav autora&gt;';
+$lang['lmt_no_element_selected'] = 'Nav atlasītu elementu !';
+$lang['lmt_no_text'] = 'Nav teksta !';
+$lang['lmt_nofilter'] = 'Visas licences';
+$lang['lmt_official_website'] = 'Oficiālā Creative Commons web lapa';
+$lang['lmt_redirect_config'] = 'Novirzīšana';
+$lang['lmt_redirect_urls'] = 'URL novirzīts';
+$lang['lmt_release'] = 'r';
+$lang['lmt_replace_caddie'] = 'Iztukšot grozu un pievienot elementus';
+$lang['lmt_save_config'] = 'Konfigurācija saglabāta';
+$lang['lmt_select_all'] = 'Visu';
+$lang['lmt_select_invert'] = 'Rezervēt';
+$lang['lmt_select_none'] = 'Neko';
+$lang['lmt_six_licences'] = '6 licences';
+$lang['lmt_title'] = 'Licenšu Pārvaldības Rīks';
+$lang['lmt_warning_config'] = 'Kājenes teksta pārvaldība';
+$lang['lmt_warning_texts_help'] = '';
+$lang['lmt_way_--'] = 'Kompetence';
+$lang['lmt_way_nc'] = 'NeKomerciāla izmantošana';
+$lang['lmt_way_nd'] = 'Neatvasināt';
+$lang['lmt_way_sa'] = 'Koplietot';
+$lang['lmt_whatisit'] = 'Kas ir <i>Creative Commons?</i>';
+$lang['lmt_whatisit_def1'] = 'Creative Commons ir bezpeļņas organizācija, kas piedāvā jums elastīgas vienošanās iespējas, lai jūs varētu brīvi, bez autortiesību ierobežojumiem, izplatīt savus darbus. Pielietots jūsu attēliem (vai jebkādam jūsu medijam onlainā) šis kontrakts ļauj ikvienam to droši darīt, sistemātiski nemeklējot atļaujas.';
+$lang['lmt_whatisit_def2'] = 'Ir 6 licenšu tipi, kas pamatojas uz 4 pamatprincipiem, kuri definē lietošanas apstākļus.';
+$lang['lmt_yesno_n'] = 'Nē';
+$lang['lmt_yesno_y'] = 'Jā';
+
+//1.1.0
+$lang["lmt_help_config"][10] = "Ja aktivēts, saitē norādītā lapa atvērsies jaunā logā.";
+$lang["lmt_cfg_warning_target"] = "Atvērt lapu jaunā logā piespiedu kārtā";
+
+// 1.2.0
+$lang['To install this plugin, you need to install Grum Plugin Classes %s before'] = 'Lai instalētu šo spraudni, vispirms nepieciešams uzinstalēt Grum Plugin Classes %s spraudni';
+
+// 1.3.0
+$lang['lmt_add_licence_type'] = "Pievienot licences tipu";
+$lang['lmt_choose_licence_type'] = "Izvēlēties licences tipu";
+$lang['lmt_search'] = "Meklēt";
+$lang['lmt_search_by_licence'] = "Meklēt licencētus fotoattēlus";
+$lang['lmt_licence_type']="Licences veids";
+$lang['lmt_ok']="Labi";
+$lang['lmt_search_pictures_with_licence_1']="Meklēt licencētus fotoattēlus:";
+$lang['lmt_search_pictures_with_licence_n']="Meklēt fotoattēlus pēc vienas no šīm licencēm:";
+$lang['lmt_error_num_items']="Vismaz vienai licencei jābūt izvēlētai";
+
+?>