Index: /extensions/AMetaData/language/ru_RU/description.txt
===================================================================
--- /extensions/AMetaData/language/ru_RU/description.txt	(revision 7883)
+++ /extensions/AMetaData/language/ru_RU/description.txt	(revision 7883)
@@ -0,0 +1,1 @@
+Плагин Advanced MetaData (AMetadata) позволяет управлять отображением всех метаданных (EXIF, IPTC and XMP), имеющихся в заголовках фотографий Piwigo.
Index: /extensions/AMetaData/language/ru_RU/index.php
===================================================================
--- /extensions/AMetaData/language/ru_RU/index.php	(revision 7883)
+++ /extensions/AMetaData/language/ru_RU/index.php	(revision 7883)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/AMetaData/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/AMetaData/language/ru_RU/plugin.lang.php	(revision 7883)
+++ /extensions/AMetaData/language/ru_RU/plugin.lang.php	(revision 7883)
@@ -0,0 +1,367 @@
+<?php
+/*
+ * How to translate metadata names and values ?
+ *
+ * Metadata names and values are not translated with a /language/*.lang.php file
+ * but they are stored in a .po and .mo files, respectively localized into
+ *  - /JpegMetaData/Locale/xx_XX/Tag.po
+ *  - /JpegMetaData/Locale/xx_XX/LC_MESSAGES/Tag.mo
+ *
+ * More information about GNU gettext l10n system and method to edit the .po & .mo
+ * files on wikipedia :
+ *  - http://en.wikipedia.org/wiki/GNU_gettext
+ *
+ */
+
+$lang['Grum Plugin Classes is not installed'] = 'Плагин <b>Grum Plugin Classes</b> не установлен';
+
+$lang['amd_title_page'] = 'Расширенная система управления метаданными';
+$lang['g003_version'] = 'v';
+
+$lang['g003_error_invalid_ajax_call'] = "Неверное обращение к функции!";
+
+$lang['g003_metadata'] = "Метаданные";
+$lang['g003_database'] = "Репозитарий";
+$lang['g003_status'] = "Статус";
+$lang['g003_show'] = "Просмотр";
+
+$lang['g003_numberOfAnalyzedPictures'] = "Проанализировано фотографий: %d; найдено метаданных: %d";
+$lang['g003_numberOfNotAnalyzedPictures'] = "Фотографий, не использованных при анализе: %d";
+$lang['g003_analyze_not_analyzed_pictures'] = "При анализе будут использованы новые фотографии, метаданные для которых отсутствуют в репозитарии. Результаты поиска будут добавлены в базу данных.";
+$lang['g003_analyze_all_pictures'] = "При анализе будут использованы все фотографии, присутствующие в галерее. Репозитарий будет полностью перезаписан.";
+$lang['g003_analyze_caddie_add_pictures'] = "При анализе будут использованы фотографии, присутствующие в корзине. Результаты поиска будут добавлены в базу данных.";
+$lang['g003_analyze_caddie_replace_pictures'] = "При анализе будут использованы фотографии, присутствующие в корзине. Репозитарий будет полностью перезаписан.";
+$lang['g003_analyze'] = "Выполнить анализ";
+$lang['g003_update_metadata'] = "Обновление репозитария метаданных";
+$lang['g003_status_of_database'] = "Статус репозитария";
+$lang['g003_updating_metadata'] = "Обновление репозитария";
+$lang['g003_analyze_in_progress'] = "Выполняется анализ...";
+$lang['g003_analyze_is_finished'] = "Анализ выполнен";
+$lang['g003_loading'] = "Загрузка...";
+$lang['g003_numberOfPicturesWithoutTags'] = "Для следующего количества фотографий метаданные отсутствуют: %d";
+$lang['g003_no_items_selected'] = "Метаданные не выбраны";
+$lang['g003_selected_tag_isnot_linked_with_any_picture'] = "Выбранные метаданные не сцеплены ни с одной фотографией";
+$lang['g003_TagId'] = "Метаданные";
+$lang['g003_TagLabel'] = "Имя";
+$lang['g003_NumOfImage'] = "Фотографии";
+$lang['g003_Pct'] = "%";
+$lang['g003_select'] = "Выбор";
+$lang['g003_display'] = "Отображение";
+$lang['g003_order'] = "Сортировка";
+$lang['g003_filter'] = "Фильтр";
+$lang['g003_tagOrder'] = "Метаданные";
+$lang['g003_numOrder'] = "Количество фотографий";
+$lang['g003_valueOrder'] = "Значение";
+$lang['g003_no_filter'] = "Фильтр отсутствует";
+$lang['g003_magic_filter'] = "Magic (вычисленные метаданные)";
+$lang['g003_exclude_unused_tags'] = "Исключить не использованные метаданные";
+$lang['g003_Value'] = "Значение";
+$lang['g003_selected_tags_only'] = "Показывать только выбранные метаданные";
+
+$lang['g003_select_metadata'] = "Выбор метаданных";
+$lang['g003_display_management'] = "Управление отображением метаданных";
+$lang['g003_number_of_filtered_metadata'] = "Количество доступных метаданных:";
+$lang['g003_number_of_distinct_values'] = "Количество отличающихся значений:";
+
+$lang['g003_click_to_edit_group'] = "Щелкните чтобы изменить свойства группы метаданных";
+$lang['g003_click_to_delete_group'] = "Щелкните чтобы удалить группу метаданных";
+$lang['g003_click_to_manage_group'] = "Щелкните чтобы изменить состав элементов группы метаданных";
+$lang['g003_click_to_manage_list'] = "Щелкните чтобы добавить/удалить метаданные";
+$lang['g003_add_a_group'] = "Добавить группу метаданных";
+$lang['g003_adding_a_group'] = "Добавление группы метаданных";
+$lang['g003_editing_a_group'] = "Редактирование группы метаданных";
+$lang['g003_deleting_a_group'] = "Удаление группы метаданных";
+$lang['g003_new_group'] = "Новая группа метаданных";
+$lang['g003_name'] = "Название";
+$lang['g003_add_delete_tags'] = "Добавить/удалить метаданные";
+$lang['g003_confirm_group_delete'] = "Вы действительно хотите удалить группу метаданных %s?";
+$lang['g003_default_group_name'] = "Условия съемки";
+
+$lang['g003_ok'] = "Ok";
+$lang['g003_cancel'] = "Отменить";
+$lang['g003_yes'] = "Да";
+$lang['g003_no'] = "Нет";
+
+
+$lang['g003_invalid_group_id'] = "Неверный идентификатор группы метаданных";
+$lang['g003_no_tag_can_be_selected'] = "Нет доступных метаданных";
+
+
+$lang['g003_warning_on_analyze_3'] = "Плагин проверяет, занесены ли ее метаданные в репозитарий, каждый раз при обращении к странице с фотографией в галерее. Если нет, то метаданные  добавляются в базу данных. Поэтому время, необходимое для полного населения репозитария в данном случае зависит от:";
+$lang['g003_warning_on_analyze_3a'] = "числа фотографий в галерее";
+$lang['g003_warning_on_analyze_3b'] = "числа фотографий, просматриваемых ежедневно";
+$lang['g003_warning_on_analyze_5'] = "Чтобы создать полный репозитарий, можно провести анализ всех фотографий в галерее:";
+$lang['g003_warning_on_analyze_0'] = "Внимание!";
+$lang['g003_warning_on_analyze_1'] = "Создание репозитария путем запуска процесса полного анализа галереи может занять значительное время (до нескольких минут). Кроме того, такой анализ требует выделения большого количества ресурсов сервера, если число анализируемых фотографий велико.";
+$lang['g003_warning_on_analyze_2'] = "Данная процедура может быть неприемлема при использовании некоторых типов серверов или хостинг-провайдеров.";
+
+
+
+$lang['g003_metadata_detail'] = "Возможные значения метаданных";
+
+$lang['g003_help'] = "Информация для разных типов метаданных";
+$lang['g003_help_tab_exif'] = "Exif";
+$lang['g003_help_tab_iptc'] = "IPTC";
+$lang['g003_help_tab_xmp'] = "XMP";
+$lang['g003_help_tab_magic'] = "Magic";
+$lang['g003_help_exif'] = "Метаданные EXIF сохраняются в заголовке фотографии в момент съемки. 
+
+
+В основном, данная информация является технической и включает:
+[ul]
+[li]использованное оборудование (модель и производитель фотокамеры)[/li]
+[li]условия съемки (диафрагма, время экспозиции, фокусное расстояние)[/li]
+[li]дата/время съемки[/li]
+[li]географическое положение (GPS-координаты)[/li]
+[li]информация о формате фотографии (размер, разрешение, компрессия)[/li]
+[/ul]
+
+Метаданные EXIF стандартизованы ([url]http://www.exif.org/Exif2-2.PDF[/url]), однако :
+[ul]
+[li]Стандарт был принят [url=http://www.jeita.or.jp]JEITA[/url] (Japan Electronics and Information Technology Industries Association) в 2002 году и больше не изменялся[/li]
+[li]определенные стандартом типы метаданных не являются обязательными, поэтому не все фотокамеры их поддерживают[/li]
+[li]стандарт метаданных [i]MakerNote[/i] является свободным и производители используют его чтобы хранить информацию, отсутствующую в спецификации (например, модель объектива); поэтому данные такого рода являются специфичными для каждого производителя или даже модели фотокамеры. Плагин может обрабатывать некоторые типы таких метаданных, в частности, для фотокамер [b]Pentax[/b], [b]Canon[/b] и [b]Nikon[/b].[/li]
+[/ul]";
+
+$lang['g003_help_iptc'] = "Метаданные IPTC содержат информацию, которую фотограф может записать в заголовок фотографии, используя соответствующее программное обеспечение.
+
+Данная информация ориентирована на использование профессиональными фотографами и включает:
+[ul]
+[li]информацию о фотографе (имя, контактные данные)[/li]
+[li]информацию о правах собственности[/li]
+[li]описание фотографии (Название, полное описание, рецензии, ярлыки)[/li]
+[li]другую информацию, связанную со специфическим профессиональным использованием фотографии[/li]
+[/ul]
+
+Метаданные IPTC стандартизованы ([url]http://www.iptc.org[/url]).
+Стандарт был принят консорциумом ведущих мировых новостных агенств, [i]International Press Telecommunications Council [/i] (IPTC).
+";
+$lang['g003_help_xmp'] = "Метаданные XMP по существу хранят те же данные, что EXIF и IPTC, но в XML-формате.
+
+Спецификация метаданных XMP является более гибкой, поскольку:
+[ul]
+[li]информация может храниться на нескольких разных языках[/li]
+[li]XMP использует кодовую таблицу Unicode, что позволяет хранить символы, отсутствующие в латинском алфавите[/li]
+[li]XML облегчает интерпретацию и обмен информацией[/li]
+[/ul]
+
+Метаданные XMP стандартизованы ([url]http://www.metadataworkinggroup.org/specs[/url]).
+Стандарт рекомендует использовать метаданные EXIF и IPTC, если они имеются.
+
+Конвертирование метаданных EXIF и IPTC в фотмат XMP обычно производится с помощью программного обеспечения для редактирования фотографий.
+
+Поскольку спецификация XMP беднее, чем EXIF, при конвертировании данных из EXIF некоторая информация теряется. Обычно потерянная информация имеет низкую важность для большинства пользователей.  Однако стандарт рекомендует, чтобы программное обеспечение, записывающее метаданные XMP, сохраняло оригинальную информацию. К сожалению, это требование выполняется не всегда.";
+$lang['g003_help_magic'] = "Для одной и той же информации в разных форматах метаданных могут присутствовать свои ключи. При этом конкретное значение может:
+[ul]
+[li]быть записано во всех форматах[/li]
+[li]или может храниться в одном формате, но отсутствовать в другом[/li]
+[/ul]
+
+Например, значение диафрагмы может быть записано в четырех разных ключах метаданных:
+[ul]
+[li][b]exif.exif.FNumber[/b][/li]
+[li][b]exif.exif.ApertureValue[/b][/li]
+[li][b]xmp.exif:ApertureValue[/b][/li]
+[li][b]xmp.exif:FNumber[/b][/li]
+[/ul]
+
+Для того, чтобы упростить обработку дуплицированных значений, плагин использует небольшую группу наиболее часто используемых ключей, анализируя те из них, которые имеются в метаданных фотографии и возвращая наиболее актуальную информацию.
+Такие метаданные называются [b]Magic[/ b].
+
+Таким образом, ключ метаданных [b]magic.ShotInfo.Aperture[/b] имеет значение:
+[ul]
+[li]ключа [b]exif.exif.FNumber[/b], если он присутствует[/li]
+[li]в противном случае значение ключа [b]xmp.exif: FNumber[/b], если он присутствует[/li]
+[li]в противном случае значение ключа [b]exif.exif.ApertureValue[/b], если он присутствует[/ li]
+[li]в противном случае значение ключа [b]xmp.exif: ApertureValue[/b].[/li]
+[/ul]";
+
+
+/** ----------------------------------------------------------------------------
+ * новые переменные из релиза 0.5.0/0.5.1
+ */
+
+$lang['g003_y'] = "Да";
+$lang['g003_n'] = "Нет";
+
+$lang['g003_state'] = "Состояние";
+$lang['g003_update'] = "Обновить";
+$lang['g003_personnal'] = "Пользовательский";
+$lang['g003_search'] = "Поиск";
+
+$lang['g003_personnal_metadata'] = "Метаданные пользователя";
+$lang['g003_add_a_new_md'] = "Добавить новые метаданные";
+$lang['g003_num_of_rules'] = "Количество правил";
+$lang['g003_metadatId'] = "Идентификатор метаданных";
+$lang['g003_rules'] = "Правила";
+$lang['g003_add_a_rule'] = "Добавить правило";
+$lang['g003_typeText'] = "Текст";
+$lang['g003_typeMetadata'] = "Метаданные";
+$lang['g003_typeCondition'] = "Условие";
+$lang['g003_typeCIfExist'] = "существует";
+$lang['g003_typeCIfNotExist'] = "не существует";
+$lang['g003_typeCIfEqual'] = "равно";
+$lang['g003_typeCIfNotEqual'] = "не равно";
+$lang['g003_typeCIfLike'] = "содержит";
+$lang['g003_typeCIfNotLike'] = "не содержит";
+$lang['g003_typeCIfBeginWith'] = "начинается с";
+$lang['g003_typeCIfNotBeginWith'] = "не начинается с";
+$lang['g003_typeCIfEndWith'] = "заканчивается на";
+$lang['g003_typeCIfNotEndWith'] = "не заканчивается на";
+$lang['g003_conditionIf'] = "Проверить метаданные";
+
+$lang['g003_invalidId'] = "Недопустимый идентификатор метаданных";
+$lang['g003_oneRuleIsNeeded'] = "Должно быть определено хотя бы одно правило";
+$lang['g003_textRuleInvalid'] = "Правило типа \"Текст\": текст не должен отсутствовать";
+$lang['g003_metadataRuleInvalid'] = "Правило типа \"Метаданные\": ключ метаданных должен быть выбран";
+$lang['g003_conditionMdRuleInvalid'] = "Правило типа \"Условие\": ключ метаданных должен быть выбран";
+$lang['g003_conditionRulesRuleInvalid'] = "Правило типа \"Условие\": должно быть хотя бы одно условие";
+
+$lang['g003_tagIdAlreadyExist'] = "Ключ метаданных с таким идентификатором уже существует!";
+
+$lang['g003_pleaseConfirmMetadataDelete'] = "Вы подтверждаете удаление метаданных?";
+$lang['g003_deleteMetadata'] = "Удаление метаданных";
+$lang['g003_delete']= "Удалить";
+
+$lang['g003_userDefined_filter'] = "Пользовательские метаданные";
+
+$lang['g003_informations'] = "Информация";
+$lang['g003_databaseInformation'] = "Важная информация о репозитарии";
+$lang['g003_databaseWarning1']="[p]Репозитарий формируется на основе метаданных, присутствующих в заголовках фотографий галереи, а также метаданных, генериуемых плагином. В зависимости от числа фотографий и количества метаданных, репозитарий может иметь большой размер. Перед включением репозитария удостоверьтесь, что доступная база данных позволяет такое использование.[/p]
+
+[p]Примечание: использование репозитария не является обязательным. Репозитарий не используется для отображения метаданных при просмотре фотографий в Вэб-галерее.[/p]
+[p]Наполнение репозитария необходимо, если вы хотите:[/p]
+[ul]
+[li]Знать какие метаданные есть в фотографиях галереи (это поможет при выборе метаданных для отображения на страницах с фотографиями)[/li]
+[li]Использовать поисковую систему[/li]
+[/ul]
+";
+$lang['g003_sizeAndRows'] = "Размер репозитария составляет %s и он содержит %s метаданных";
+$lang['g003_numberOfAnalyzedPictures'] = "Проанализировано фотографий: %d";
+
+$lang['g003_options'] = "Опции";
+$lang['g003_fillDatabaseContinuously'] = "Пассивное наполнение репозитария. Новые метаданые добавляются, если  при просмотре пользователем фотографии в гелерее плагин обнаруживает, что эти метаданные отсутствуют в репозитарии.";
+$lang['g003_ignoreMetadata'] = "Игнорировать следующие метаданные:";
+
+$lang['g003_analyze_analyzed_pictures'] = "Анализ включает только фотографии, которые уже были проанализированы";
+$lang['g003_fillDatabaseIgnoreWarning'] = "Если используются эти опции, то для вступления их в силу требуется новый анализ";
+
+
+$lang['g003_add_metadata'] = "Добавить метаданные";
+
+$lang['g003_choose_a_metadata'] = "Выполнить поиск ключа метаданных";
+$lang['g003_add'] = "Добавить";
+$lang['g003_metadata_value_check_one'] = "Как минимум одно из условий должно быть верным:";
+$lang['g003_metadata_value_check_all'] = "Все условия должны выполняться:";
+
+$lang['g003_metadata_exists']="Ключ метаданных '%s' существует";
+$lang['g003_metadata_dont_exists']="Ключ метаданных '%s' не существует";
+$lang['g003_metadata_equals_all']="Ключ метаданных '%s' существует и его значение равно одному из:";
+$lang['g003_metadata_equals_one']="Ключ метаданных '%s' существует и его значение равно:";
+$lang['g003_metadata_not_equals_all']="Ключ метаданных '%s' существует и его значение не равно одному из:";
+$lang['g003_metadata_not_equals_one']="Ключ метаданных '%s' существует и его значение не равно:";
+$lang['g003_metadata_like_all']="Ключ метаданных '%s' существует и его значение содержит одно из:";
+$lang['g003_metadata_like_one']="Ключ метаданных '%s' существует и его значение содержит:";
+$lang['g003_metadata_not_like_all']="Ключ метаданных '%s' существует и его значение не содержит любое из:";
+$lang['g003_metadata_not_like_one']="Ключ метаданных '%s' существует и не содержит:";
+$lang['g003_metadata_begin_all']="Ключ метаданных '%s' существует и его значение начинается с одного из:";
+$lang['g003_metadata_begin_one']="Ключ метаданных '%s' существует и его значение начинается с:";
+$lang['g003_metadata_not_begin_all']="Ключ метаданных '%s' существует и его значение не начинается с любого из:";
+$lang['g003_metadata_not_begin_one']="Ключ метаданных '%s' существует и его значение не начинается с:";
+$lang['g003_metadata_end_all']="Ключ метаданных '%s' существует и его значение заканчивается на любое из:";
+$lang['g003_metadata_end_one']="Ключ метаданных '%s' существует и его значение заканчивается на:";
+$lang['g003_metadata_not_end_all']="Ключ метаданных '%s' существует и его значение не заканчивается на любое из:";
+$lang['g003_metadata_not_end_one']="Ключ метаданных '%s' существует и его значение не заканчивается на:";
+
+$lang['g003_value_already_set'] = "Значение уже существует в группе значений";
+$lang['g003_please_set_a_value'] = "Пожалуйста, введите значение";
+
+
+$lang['g003_install']="Установка";
+$lang['g003_basic_mode']="Обычная";
+$lang['g003_advanced_mode']="Расширенная";
+$lang['g003_validate']="OK";
+$lang['g003_step_1']="Выберите тип использования плагина";
+$lang['g003_basic_mode_help']="
+[i]Обычный[/i] режим предназначен для того, чтобы сделать доступным просмотр метаданных на странице с фотографией. В обычном режиме:[ul]
+[li]пользовательский интерфейс максимально упрощен[/li]
+[li]доступен короткий список из ~140 наиболее часто используемых ключей метаданных[/li]
+[/ul]";
+$lang['g003_advanced_mode_help']="
+[i]Расширенный[/i] режим предназначен для того, чтобы использовать максимальное количество метаданных в своих фотографиях. В расширенном режиме:[ul]
+[li]пользовательский интерфейс более сложный, но полноценный[/li]
+[li]доступен полный список из ~540 ключей метаданных[/li]
+[li]имеются дополнительные функциональные возможности (статистика, поиск ...)[/li]
+[/ul]
+При выборе [i]расширенного[/i] режима необходимо сформировать репозитарий метаданных.";
+
+
+$lang['g003_tags']="Ярлыки";
+$lang['g003_number_of_keywords']="Число ключевых слов:";
+$lang['g003_keyword']="Ключевое слово";
+$lang['g003_tag_in_piwigo']="Присутствует в Piwigo";
+$lang['g003_num_of_pictures']="Число фотографий";
+$lang['g003_num_of_pictures_already_tagged']="Число фотографий с ярлыком в Piwigo";
+$lang['g003_convert_ok']="Конвертирование выполнено успешно";
+$lang['g003_convert_keywords_and_apply']="Конвертировать";
+$lang['g003_no_keywords']="Не найдено ключевых слов для конвертирования";
+
+
+$lang['g003_tags_page_help']="На этой вкладке выполняется извлечение ключевых слов (ярлыков, тэгов), которые присутствуют в заголовках метаданных ваших фотографий. Интерфейс позволяет произвести конвертирование [i]Ярлыков[/i].
+Фотографии, для которых конвертирование ключевых слов уже было произведено, не выводятся. Для конвертирования предлагаются только те ключевые слова, которые присутствуют в метаданных фотографии, но отсутствуют в основной базе данных Piwigo.";
+
+$lang['g003_search_page_help']="На этой вкладке можно осуществить поиск метаданных. Варианты запросов могут варьировать, начиная от простых и заканчивая сложными: добавляйте критерии и комбинируйте их, используя перетаскивание.";
+
+$lang['g003_personnal_page_help']="Вы можете легко генерировать свои собственные метаданные, используя существующую информацию.
+[ul]
+[li]Добавьте новый ключ метаданных[/li]
+[li]Заполните его свойства[/li]
+[li]Добавляйте правила и комбинируйте их при необходимости, используя перетаскивание[/li]
+[/ul]";
+
+$lang['g003_select_page_help']="Только выбранные здесь ключи метаданных доступны в интерфейсах отображения, поиска и создания пользовательских типов метаданных. Это позволяет уменьшить список метаданных для удобства работы.
+Изменения вступают в силу при выборе (или отмене выбора) для определенного ключа метаданных.";
+
+
+$lang['g003_display_page_help']="Отображаемые на странице просмотра фотографии метаданные можно группировать и сортировать.
+По умолчанию доступна только одна группа [i]".$Lang['g003_default_group_name']."[/i], но вы можете создать столько групп, сколько необходимо ([i]IPTC[/i], [i]Geolocation[/i], и т.д.).
+[ul]
+[li]Создавайте группы метаданных, если это необходимо[/li]
+[li]Добавляйте метаданные для отображения[/li]
+[li]Настраивайте порядок отображения метаданных в группах, используя перетасквание[/li]
+[li]Настраивайте порядок отображения групп, используя перетасквание[/li]
+[/ul]
+Изменения в составе и порядке ключей и групп метаданных вступают в силу как только они были внесены.";
+
+$lang['g003_gpc_not_up_to_date']="Плагин требует установки <i>Grum Plugin Classes</i> версии %s.
+На данный момент установлена версия %s: пожалуйста, обновите плагин <i>Grum Plugin Classes</i>.";
+
+
+/** ----------------------------------------------------------------------------
+ * удаленные переменные из релизов 0.5.0/0.5.1
+
+ */
+//$lang['g003_warning_on_analyze_4a']
+//$lang['g003_warning_on_analyze_4b']
+
+
+/** ----------------------------------------------------------------------------
+ * новые переменные из релиза 0.5.3
+ */
+$lang['g003_1_picture_in_caddie']="В корзине находится 1 фотография";
+$lang['g003_n_pictures_in_caddie']="Фотографий в корзине: %s";
+$lang['g003_analyze_random_pictures'] = "При анализе будут использованы фотографии (%s), выбранные случайно из тех, которые никогда не были анализированы. Результаты анализа будут добавлены в существующий репозитарий";
+$lang['g003_invalid_random_number']="Недопустимое значение для числа процессируемых фотографий";
+
+
+$lang['g003_database_is_not_up_to_date']="Репозитарий обновлен!";
+$lang['g003_databaseWarning2_1']="[p]Новый ключ метаданных доступен с момента последнего обновления плагина:[/p][ul]%s[/ul]
+[p]
+Для того чтобы его использовать, необходимо обновить репозитарий.[/p]";
+$lang['g003_databaseWarning2_n']="[p]Новые ключи метаданных доступны с момента последнего обновления плагина:[/p][ul]%s[/ul]
+[p]
+Для того чтобы их использовать, необходимо обновить репозитарий.[/p]";
+
+// help for metadata translation is given at the beginning of this file
+
+?>