Index: extensions/add_index/language/lv_LV/description.txt
===================================================================
--- extensions/add_index/language/lv_LV/description.txt	(revision 7889)
+++ extensions/add_index/language/lv_LV/description.txt	(revision 7889)
@@ -0,0 +1,1 @@
+Pievieno index.php failu visām vietējo attēlu galeriju apakšdirektorijām.
Index: extensions/add_index/language/lv_LV/help/advanced_feature.html
===================================================================
--- extensions/add_index/language/lv_LV/help/advanced_feature.html	(revision 7889)
+++ extensions/add_index/language/lv_LV/help/advanced_feature.html	(revision 7889)
@@ -0,0 +1,7 @@
+<p>AddIndex spraudņa funkcionalitāte:</p>
+<ul>
+<li>
+<strong>Pievieno un pārraksta "index" failus visām lokālajām lapām:</strong>
+     Pārraksta failu ./include/index.php lokāko lapu galeriju apakšdirektorijās.
+</li>
+<ul>
Index: extensions/add_index/language/lv_LV/help/index.php
===================================================================
--- extensions/add_index/language/lv_LV/help/index.php	(revision 7889)
+++ extensions/add_index/language/lv_LV/help/index.php	(revision 7889)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/add_index/language/lv_LV/help/site_manager.html
===================================================================
--- extensions/add_index/language/lv_LV/help/site_manager.html	(revision 7889)
+++ extensions/add_index/language/lv_LV/help/site_manager.html	(revision 7889)
@@ -0,0 +1,7 @@
+<p>AddIndex spraudņa funkcionalitāte:</p>
+<ul>
+<li>
+<strong>Pievieno "index" failus lokālajai web lapai:</strong>
+     Iekopē failu ./include/index.php visās izvēlētās lokālās lapas apakšdirektorijās.
+</li>
+<ul>
Index: extensions/add_index/language/lv_LV/index.php
===================================================================
--- extensions/add_index/language/lv_LV/index.php	(revision 7889)
+++ extensions/add_index/language/lv_LV/index.php	(revision 7889)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/add_index/language/lv_LV/plugin.lang.php
===================================================================
--- extensions/add_index/language/lv_LV/plugin.lang.php	(revision 7889)
+++ extensions/add_index/language/lv_LV/plugin.lang.php	(revision 7889)
@@ -0,0 +1,40 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['Add_Index'] = 'Pievieno "index" failus';
+$lang['Advanced_Add_Index'] = 'Pievieno un pārraksta "index" failus visās lokālaās web lapās';
+$lang['Manager_Add_Index'] = 'pievienot "index"';
+
+$lang['add_index_file_copied'] = '%s nokopēts';
+$lang['add_index_file_not_copied'] = '%s nav nokopēts';
+$lang['add_index_not_local_site'] = '%s [%d] ir attālinātā lapa, un ir savietojama ar pievienotiem "index" failiem';
+$lang['add_index_nb_copied_file'] = '%d fails nokopēts';
+$lang['add_index_nb_copied_files'] = '%d faili nokopēti';
+$lang['add_index_nb_skipped_file'] = '%d fails izlaisti';
+$lang['add_index_nb_skipped_files'] = '%d faili izlaisti';
+$lang['add_index_nb_not_copied_file'] = '%d fails nav nokopēts';
+$lang['add_index_nb_not_copied_files'] = '%d faili nav nokopēti';
+$lang['add_index_src_file_dont_exists'] = 'Avots %s neeksistē, nevar nodublēt šo failu';
+
+
+?>