Index: /extensions/ExtendedDescription/language/cs_CZ/description.txt
===================================================================
--- /extensions/ExtendedDescription/language/cs_CZ/description.txt	(revision 7890)
+++ /extensions/ExtendedDescription/language/cs_CZ/description.txt	(revision 7890)
@@ -0,0 +1,1 @@
+Pøidá vícejazyèné popisy, banery, jména kategorií, atd. 
Index: /extensions/ExtendedDescription/language/cs_CZ/help.html
===================================================================
--- /extensions/ExtendedDescription/language/cs_CZ/help.html	(revision 7890)
+++ /extensions/ExtendedDescription/language/cs_CZ/help.html	(revision 7890)
@@ -0,0 +1,85 @@
+<h2>Rozíøený popis</h2>
+
+<h3>Vícejazyèné popisy</h3>
+
+<p>Vícejazyèné popisy jsou umístìny mezi elementy [lang=xx] a [/lang], kde xx je kód jazyka (napøíklad cs, en, es, fr). Dále jsou 2 speciální kódy jazyka: [lang=default] a [lang=all]</p>
+
+<ul>
+  <li><b>Pøíklad</b>:<br>
+  <br>
+<code>[lang=default] default description [/lang]<br>
+[lang=cs] popis v èetinì [/lang]<br>
+[lang=en] description in english [/lang]<br>
+[lang=de] deutsche Beschreibung [/lang]</code>
+</li>
+</ul>
+
+<p>Výchozí popis bude pouit v pøípadì, e popis není dostupný v daném jazyce.
+Pokud [lang=default] neexistuje, tak bude jako výchozí popis pouito cokoliv mimo elementy [lang].</p>
+
+<p><u>Speciální jazyk <i>all</i></u>: vechno co je uvedeno uvnitø [lang=all] vdy bude vloeno do popisu bez ohledu na zvolený jazyk.
+Toto je uiteèné zejména pro vkládání kódu HTML/JavaScript do popisu.</p>
+
+<h3>Rozíøené popisy</h3>
+
+<p>Elementy rozíøených popisù umoòují vytvoøit zkrácený popis pro kategorii pro pouití mimo kategorii a podrobný popis pro pouití uvnitø kategorie, nebo dokonce 2 rozdílné popisy pro pouití uvnitø kategorie.</p>
+
+<p>Element &lt;!--more--&gt; definuje text pro zkrácený popis.<br>
+element &lt;!--complete--&gt; umoòuje vytvoøit 2 rozdílné popisy.<br>
+element &lt;!--up-down--&gt; umoòuje vytvoøit popis do horní a dolní èásti.</p>
+
+<ul>
+  <li><b>Element &lt;!--more--&gt;</b></li>
+</ul>
+<code>krátký popis &lt;!--more--&gt; dlouhý popis</code>
+<p>Krátký popis je potom zobrazen mimo kategorii, ale na stránce kategorie je jako popis zobrazen krátký popis + dlouhý popis.</p>
+
+<ul>
+  <li><b>Element &lt;!--complete--&gt;</b></li>
+</ul>
+<code>krátký popis &lt;!--complete--&gt; dlouhý popis</code>
+<p>Krátký popis je potom zobrazen mimo kategorii, ale na stránce kategorie je jako popis uveden dlouhý popis. Take pro kategorii existují 2 odliné popisy.</p>
+
+<ul>
+  <li><b>Element &lt;!--up-down--&gt;</b></li>
+</ul>
+<code>horní popis &lt;!--up-down--&gt; dolní popis</code>
+<p>Horní popis je potom zobrazen mimo kategorii, ale na stránce kategorie je jako popis zobrazen nahoøe horní popis a dole, pod náhledy, dolní popis.</p>
+
+<h3>Vloení kategorie nebo fotografie</h3>
+
+<ul>
+  <li><b>Element [cat=xx]</b></li>
+</ul>
+<p>Tento element vloí kategorii xx do popisu kategorie.</p>
+
+<ul>
+  <li><b>Element [img=xx1 xx2 xxN;yyyy;name]</b></li>
+</ul>
+<p>Tento elemenet umoòuje vloit jeden nebo více náhladových fotografii do popisu, kde:<br><br>
+- xx identifikátor fotografie; je také moné pøidat identifikátor kategorie za identifikátor fotografie: <code>xx.ccc</code>.
+<br>
+- yyyy (volitelné) : je jedna z hodnot {left, right}.</p>
+- name (volitelné) : je jedna z hodnot {name, titleName}. Pokud je vyuito  <i>name</i> tak je název obrázku zobrazen pod jeho náhledem, pokud <i>titleName</i> znaèka obrázku &lt;title&gt; je naplnìna jménem.</p>
+
+
+<h3>Skrytí kategorie</h3>
+
+<p>Je mono vyuít element <b>&lt;!--hidden--&gt;</b> v názvu kategorie:<br>
+<br>
+- potom nebude viditelná v nadøízené kategorii<br>
+- zùstane ale viditelná v seznamu kategorií</p>
+
+<h3>Skrytí kategorie v seznamu kategorií</h3>
+
+<p>Je mono vyuít element <b>&lt;!--mb-hidden--&gt;</b> v názvu kategorie:<br>
+<br>
+- potom bude viditelná v nadøízené kategorii<br>
+- nebude ale viditelná v seznamu kategorií</p>
+
+<h3>Skrytí fotografie</h3>
+
+<p>Je mono vyuít element <b>&lt;!--hidden--&gt;</b> v názvu fotografie:<br>
+<br>
+- fotografie potom nebude viditelná mezi náhledy<br>
+- ale zùstane viditelná pøi prohlíení kategorie</p>
Index: /extensions/ExtendedDescription/language/cs_CZ/index.php
===================================================================
--- /extensions/ExtendedDescription/language/cs_CZ/index.php	(revision 7890)
+++ /extensions/ExtendedDescription/language/cs_CZ/index.php	(revision 7890)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/ExtendedDescription/language/cs_CZ/plugin.lang.php
===================================================================
--- /extensions/ExtendedDescription/language/cs_CZ/plugin.lang.php	(revision 7890)
+++ /extensions/ExtendedDescription/language/cs_CZ/plugin.lang.php	(revision 7890)
@@ -0,0 +1,5 @@
+<?php
+
+$lang['ExtendedDesc_help'] = 'Pouívat elementy rozíøeného popisu......';
+
+?>