Index: extensions/cl_conflit/conflit.inc.php
===================================================================
--- extensions/cl_conflit/conflit.inc.php	(revision 7882)
+++ extensions/cl_conflit/conflit.inc.php	(revision 7895)
@@ -33,5 +33,5 @@
  static public function cl_conflit_script()
 	{
-	   global  $template,$user,$conf,$picture ,$page,$cl_version;
+	   global  $template,$user,$conf,$picture ,$page,$cl_plugin;
 	   	$my_path =  basename(dirname(__FILE__)).'/' ;
 	    $my_path = dirname(__FILE__).'/';
@@ -40,7 +40,9 @@
 		$cl_conflit =  isset($conf['cl_conflit']) ? $conf['cl_conflit'] : 'true' ;			
 		$theme=$user['theme'];
-			 
+		
   		$template->assign(
-  						array( 'version' => $cl_version['version'] ,
+  						array( 
+						'version' => $cl_plugin['version'] ,
+						'name' => $cl_plugin['id'] ,
 						'cl_conflit' => $cl_conflit  ,
 						'theme' => $theme  ,
@@ -58,5 +60,5 @@
  static public function cl_conflit_script_2()
  {
-		global  $template,$user,$conf,$picture ,$page,$cl_version;
+		global  $template,$user,$conf,$picture ,$page,$cl_plugin;
 	 
 			$my_path =  basename(dirname(__FILE__)).'/' ;
@@ -67,5 +69,7 @@
 
 			$template->assign(
-  					array('version' => $cl_version['version'] ,
+  					array(						
+					    'version' => $cl_plugin['version'] ,
+						'name' => $cl_plugin['id'] ,
 						'ma_page' =>	$page['body_id'],
 						'cl_conflit' => $cl_conflit  ,
@@ -92,5 +96,5 @@
  static public function cl_conflit_script_3($content)
  {
-	   global  $template,$user,$conf,$picture ,$page,$cl_version;
+	   global  $template,$user,$conf,$picture ,$page,$cl_plugin;
 	    
 			$my_path =  basename(dirname(__FILE__)).'/' ;
Index: extensions/cl_conflit/include/affiche.php
===================================================================
--- extensions/cl_conflit/include/affiche.php	(revision 7882)
+++ extensions/cl_conflit/include/affiche.php	(revision 7895)
@@ -1,3 +1,43 @@
 <?php  
+
+          $plg_data = implode( '', file($path.'main.inc.php') );
+          if ( preg_match("|Plugin Name: (.*)|", $plg_data, $val) )
+          {
+            $plugin['name'] = trim( $val[1] );
+          }
+          if (preg_match("|Version: (.*)|", $plg_data, $val))
+          {
+            $plugin['version'] = trim($val[1]);
+          }
+          if ( preg_match("|Plugin URI: (.*)|", $plg_data, $val) )
+          {
+            $plugin['uri'] = trim($val[1]);
+          }
+          if ($desc = load_language('description.txt', $path.'/', array('return' => true)))
+          {
+            $plugin['description'] = trim($desc);
+          }
+          elseif ( preg_match("|Description: (.*)|", $plg_data, $val) )
+          {
+            $plugin['description'] = trim($val[1]);
+          }
+          if ( preg_match("|Author: (.*)|", $plg_data, $val) )
+          {
+            $plugin['author'] = trim($val[1]);
+          }
+          if ( preg_match("|Author URI: (.*)|", $plg_data, $val) )
+          {
+            $plugin['author uri'] = trim($val[1]);
+          }
+          if (!empty($plugin['uri']) and strpos($plugin['uri'] , 'extension_view.php?eid='))
+          {
+            list( , $extension) = explode('extension_view.php?eid=', $plugin['uri']);
+            if (is_numeric($extension)) $plugin['extension'] = $extension;
+          }
+          // IMPORTANT SECURITY !
+          $plugin = array_map('htmlspecialchars', $plugin);
+
+$version = $plugin['version'] ;
+ 
 
 $visible=(isset($visible))?$visible:false;
@@ -6,47 +46,14 @@
 $version=isset($version)?$version:"";
 $theme=$user['theme'];
-$user_status = $user['status'] ;
+ 
 
   	$template->assign(
   					array(
-					'thumbnail' => $conf['prefix_thumbnail'],
-                    'visible' => $visible,
+					'version' => $version,
+					'cl_plugin' => $cl_plugin,
                     'version' => $version,
                     'CONFLIT_PATH' => CONFLIT_PATH,
                     'theme' => $theme,
-					 'SCALED_WIDTH' => $picture['current']['scaled_width'],
-					 'SCALED_HEIGHT' => $picture['current']['scaled_height'],                    
-                    'IMG_WIDTH' 	=> $img_width,
-                    'IMG_HEIGHT'	=> $img_height,
-                    'MINI_HEIGHT' => $conflit_parametres->mini_height,
-                    'MINI_WIDTH' 	=> $conflit_parametres->mini_width,
-                    'MARGE_BASSE' => $conflit_parametres->marge_basse,
-                    'ECHELLE_MAX' => $conflit_parametres->echelle_max,
 
-                    'check_auto_w' => ($conflit_parametres->check_auto_w == 'on') ? 'checked="checked"'  : '' ,
-                    'check_icon_v' => ($conflit_parametres->check_icon_v == 'on') ? 'checked="checked"'  : '' ,
-                    'check_desc_v' => ($conflit_parametres->check_desc_v == 'on') ? 'checked="checked"'  : '' ,
-
-					'webmaster_width' => $conflit_parametres->webmaster_width,
-                    'webmaster_height' => $conflit_parametres->webmaster_height,
-					'webmaster_enabled' => ($conflit_parametres->webmaster_enabled == 'on') ? 'checked="checked"'  : '' ,
-
-                    'admin_width' => $conflit_parametres->admin_width,
-                    'admin_height' => $conflit_parametres->admin_height,
-					'admin_enabled' => ($conflit_parametres->admin_enabled == 'on') ? 'checked="checked"'  : '' ,
-
-                    'generic_width' => $conflit_parametres->generic_width,
-                    'generic_height' => $conflit_parametres->generic_height,
-					'generic_enabled' => ($conflit_parametres->generic_enabled == 'on') ? 'checked="checked"'  : '' ,
-
-                    'guest_width' => $conflit_parametres->guest_width,
-                    'guest_height' => $conflit_parametres->guest_height,
-					'guest_enabled' => ($conflit_parametres->guest_enabled == 'on') ? 'checked="checked"'  : '' ,
-				 
-                    'normal_width' => $conflit_parametres->normal_width,
-                    'normal_height' => $conflit_parametres->normal_height,
-					'normal_enabled' => ($conflit_parametres->normal_enabled == 'on') ? 'checked="checked"'  : '' ,
-
-					'user_status'   => get_user_status($user_status)  
 					
 				 )
Index: extensions/cl_conflit/js/conflit.js
===================================================================
--- extensions/cl_conflit/js/conflit.js	(revision 7882)
+++ extensions/cl_conflit/js/conflit.js	(revision 7895)
@@ -13,9 +13,5 @@
     // jQuery est chargé
 }
-try {
-    Conflit = { version: Version };
-} catch (e) {
-
-}
+
 //===================================================
 var detect = navigator.userAgent.toLowerCase();
@@ -145,4 +141,10 @@
         }
     } else if (element == document) {
+
+        ret_element = jQuery(element);
+        return ret_element;
+
+
+     } else if (element == window) {
 
         ret_element = jQuery(element);
@@ -304,4 +306,5 @@
         var e_message = e.message;
         var e_stack = e.stack;
+        var state_ff = "";
         if (e_stack) { //Firefox Opera 3.6
             //=== test fichier source =============
@@ -343,7 +346,8 @@
                         break;
                     }
-                    if (Src_Match.match("jQuery")) {
+                    if (Src_Match.match("jQuery", "gi")) {
                         callstack.push("jQuery");
                         isCallstackPopulated = true;
+                     
                         break;
                     }
@@ -351,4 +355,5 @@
             }
             //callstack.shift();
+            state_ff = callstack.join('\n');
             isCallstackPopulated = false;
         }
@@ -386,4 +391,5 @@
 
         currentFunction = currentFunction.caller;
+        var fn2 = currentFunction.toString(); // fonction d'appel local (conflit)
         currentFunction = currentFunction.caller;
         //$family
@@ -407,13 +413,13 @@
             if (fn.match(RegExp("jquery|switchmenu|switchTabs|switchInterface|gally|initializeImageMode", "gi"))) {
                 states.push('jQuery');
-
+                break;
             }
             if (fn.match(RegExp("dialog..open", "gi"))) {
                 states.push('GMaps');
-
+                break;
             }
             if (fn.match(RegExp("GMaps|applyMap|markupMaps|applyMarkers", "gi"))) {
                 states.push('GMaps');
-
+                break;
             }
             //======================
@@ -421,9 +427,9 @@
 
                 states.push('paMOOramics');
-
+              break;
             }
             if (fn.match(RegExp("observe|responder|stopobserving|fireContentLoadedEvent", "gi"))) {
                 states.push('rv_gmaps');
-
+                break;
             }
             //? bubble  
@@ -433,14 +439,25 @@
 
                     states.push('Luciano');
-
+                    break;
                 }
             }
+            // "window.fireEvent('domready')"
+            Expression = new RegExp("window.fireEvent", "gi")
+            if (fn.match(Expression)) {  //luciano
+                // "window.fireEvent('domready')"
+                Expression = new RegExp("window.fireEvent..domready..", "gi")
+                if (fn.match(Expression)) {
+                    states.push('Luciano');
+                    break;
+                }
+            }
             if (fn.match(RegExp("(splat|buildFrameWork|photoNext)", "gi"))) {  //luciano
 
                 states.push('Luciano');
-
-            }
-
-            if (all_functions.length > 50) break;
+                break;
+            }
+
+            if (all_functions.length > 50) 
+            break;
 
 
@@ -449,5 +466,9 @@
 
     }
+  // state_ff + "|" +
     state = states.join('\n');
+    if (state == "")
+        state = state_ff;
+
     Fn = all_functions;
     return { state: state, fn: callstack.join('\n') };
@@ -463,4 +484,5 @@
     });
     //==============================================
+    librairies=[];
     jQuery.extend(jQuery.expr[':'], {
         // Nom du sélecteur personnalisé
@@ -497,5 +519,5 @@
                     if (a.src.match(RegExp("mootools|pamooramic|luciano", "gi"))) {
                         jQuery.noop;
-
+                        librairies.push(a.src);
                     }
 
@@ -534,11 +556,5 @@
 
 }
-if (typeof ($fn) != "function") {
-    $.fn = function (options) {
-        return jQuery.fn(options);
-    }
-
-
-}
+
 if (typeof ($.get) != "function") {
     $.get = function (options) {
@@ -550,5 +566,10 @@
 $_ = $;
 function save_framework(page) {
-    Conflit = { version: Version };
+    try {
+        Conflit = { version: Version, name: cl_plugin };
+    } catch (e) {
+
+    }
+    
     $_ = $;
     return
Index: extensions/cl_conflit/main.inc.php
===================================================================
--- extensions/cl_conflit/main.inc.php	(revision 7882)
+++ extensions/cl_conflit/main.inc.php	(revision 7895)
@@ -12,49 +12,13 @@
 if (!defined('CONFLIT_PATH')) 
 define(  'CONFLIT_PATH',   PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/' );
-
-include_once(CONFLIT_PATH.'conflit.inc.php');
-global $cl_version,$cl_plugin ;
-//===================================================================
-	$path = CONFLIT_PATH; 
-          $plg_data = implode( '', file($path.'main.inc.php') );
-          if ( preg_match("|Plugin Name: (.*)|", $plg_data, $val) )
-          {
-            $plugin['name'] = trim( $val[1] );
-          }
-          if (preg_match("|Version: (.*)|", $plg_data, $val))
-          {
-            $plugin['version'] = trim($val[1]);
-          }
-          if ( preg_match("|Plugin URI: (.*)|", $plg_data, $val) )
-          {
-            $plugin['uri'] = trim($val[1]);
-          }
-          if ($desc = load_language('description.txt', $path.'/', array('return' => true)))
-          {
-            $plugin['description'] = trim($desc);
-          }
-          elseif ( preg_match("|Description: (.*)|", $plg_data, $val) )
-          {
-            $plugin['description'] = trim($val[1]);
-          }
-          if ( preg_match("|Author: (.*)|", $plg_data, $val) )
-          {
-            $plugin['author'] = trim($val[1]);
-          }
-          if ( preg_match("|Author URI: (.*)|", $plg_data, $val) )
-          {
-            $plugin['author uri'] = trim($val[1]);
-          }
-          if (!empty($plugin['uri']) and strpos($plugin['uri'] , 'extension_view.php?eid='))
-          {
-            list( , $extension) = explode('extension_view.php?eid=', $plugin['uri']);
-            if (is_numeric($extension)) $plugin['extension'] = $extension;
-          }
-           
-          $plugin = array_map('htmlspecialchars', $plugin);
+ 
+	$path = CONFLIT_PATH;   
+	 
+//============================================================================		
+		  global $cl_version , $cl_plugin ;
 		  $cl_version = $plugin;
-//============================================================================		
-
-
+		  $cl_plugin = $plugin;
+//============================================================================
+include_once(CONFLIT_PATH.'conflit.inc.php');	
 $conflit_controler = new conflit_controler();
 
Index: extensions/cl_conflit/template/conflit.tpl
===================================================================
--- extensions/cl_conflit/template/conflit.tpl	(revision 7882)
+++ extensions/cl_conflit/template/conflit.tpl	(revision 7895)
@@ -8,4 +8,5 @@
     var DEBUG = '{$DEBUG}';
     var theme = '{$theme}';
-    var Version =  '{$version}' ;
+    var Version = '{$version}';
+    var cl_plugin = '{$cl_plugin}';
 </script>