Index: tensions/cl_conflit/admin/admin_conflit.php
===================================================================
--- /extensions/cl_conflit/admin/admin_conflit.php	(revision 7912)
+++ 	(revision )
@@ -1,153 +1,0 @@
-<?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
-if (!defined('CONFLIT_DIR')) define('CONFLIT_DIR' , basename(dirname(__FILE__)));
-if (!defined('CONFLIT_PATH')) 
-define(
-  'CONFLIT_PATH',
-   PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/'
-);
-// +-----------------------------------------------------------------------+
-// | Check Access and exit when user status is not ok                      |
-// +-----------------------------------------------------------------------+
-//check_status(ACCESS_ADMINISTRATOR);
-include_once(PHPWG_ROOT_PATH.'admin/include/functions.php');
-include_once (PHPWG_ROOT_PATH.'admin/include/tabsheet.class.php');
-
-$my_base_url = get_admin_plugin_menu_link(__FILE__);
-
-
-
-$tabsheet = new tabsheet();
-$tabsheet->add( 'conflit_admin',
-                l10n('admin'),
-                $my_base_url.'&amp;tab=conflit_admin'
-			   );
-/*		   
-$tabsheet->add( 'conflit_content',
-                l10n('content'),
-                $my_base_url.'&amp;tab=conflit_content'
-			   );
-*/			   
-			   
-			   
-	if (!isset($_GET['tab']))
-	   $page['tab'] = 'conflit_admin';
-else
-       $page['tab'] = $_GET['tab'];	
-	   
-	   		   
-$tabsheet->select($page['tab']);
-$tabsheet->assign();
-
-$page['global'] = array();
-$error = array();
-
-global $user, $conf, $errors ;
-global $args, $conflits_message,$erreur_message ;
-
-include_once (CONFLIT_PATH.'include/constants.php'); 
-
-$aff_nb=true;
-
- ; 
-include_once(PHPWG_ROOT_PATH.'admin/include/functions.php');
-include_once (PHPWG_ROOT_PATH.'admin/include/tabsheet.class.php');
-
-
-$my_base_url = get_admin_plugin_menu_link(__FILE__);
-load_language('lang', CONFLIT_PATH ); 
-// *************************************************************************
-// |                          Sélection de l'onglet                        |
-// *************************************************************************
-$conflits_message ="";  
-$erreur_message="";
-global $conf;
-global $conflit_parametres;
-global $template,$page,$conf ; 
-    global $picture;
- 
-  $visible=true;	
-
-        $path = CONFLIT_PATH;
-
-	 $conflit_parametres = cl_conflit_Get_Options();
-
-
-	 
-   if (isset($_POST['submit']))  {  
-	  if ($_POST['submit'] == l10n('cl_conflit_save'))  {  
-	         cl_conflit_sauve_options_inf() ;
-		     unset($_POST); 
-		 }
-	}	
-	//=========================================
-	if (isset($_POST['img_start']))  {
-		 unset($_POST);
-		 }
- include (CONFLIT_PATH."include/affiche.php"); 	 	 
-//================================================================================
-$base_url = get_root_url().'admin_conflit.php';
-switch ($page['tab'])
- {
-  case 'conflit_admin':
-
-    $template->set_filenames(array('plugin_admin_content' => realpath(CONFLIT_PATH . 'admin/template/admin.tpl')));
-
- 
-    $template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
-    break; 
- 
-case 'conflit_content':
-
-  
- $template->set_filenames(array( 'plugin_admin_content' => realpath(CONFLIT_PATH . 'template/picture.tpl' )));
- $template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
- break; 
-  }
-if (!isset($conflits_message)){
-		  $conflits_message = "";
-		} 
- 
- 
-		  
-		if  ($conflits_message != "")  {
-		   array_push($page['conflits'],  $conflits_message);
-		 $conflits_message="";
-		 }
-		if (!isset($erreur_message)){
-		  $erreur_message = "";
-		} 		 
-		if  ($erreur_message != "")  {
-	
-		  array_push($page['errors'], $erreur_message);
-		  $erreur_message="";
-	
-		 
-		 }		 
-		 
-//================================================================
- 
-
-?>