Index: /extensions/delete_rate/admin/admin.php
===================================================================
--- /extensions/delete_rate/admin/admin.php	(revision 7918)
+++ /extensions/delete_rate/admin/admin.php	(revision 7919)
@@ -28,5 +28,8 @@
                l10n('rate_onglet_photo'),
                $my_base_url.'&amp;tab=ratephoto');
-
+$tabsheet->add('ratealbum',
+               l10n('rate_onglet_album'),
+               $my_base_url.'&amp;tab=ratealbum');
+			   
 $tabsheet->select($page['tab']);
 $tabsheet->assign();
@@ -114,4 +117,72 @@
     break;
 	
+	case 'ratealbum':
+
+//charge la liste des catégories
+$groups = array();
+$query = '
+select id,name
+  FROM ' . CATEGORIES_TABLE . '
+  ORDER BY id ASC;';
+$result = pwg_query($query);
+
+while ($row = mysql_fetch_array($result))
+	{
+  $groups[$row['id']] = $row['id'].' : '.$row['name'];
+	}
+	
+	$selected = 0;
+	$options[] = l10n('rate_select_cat');
+	$options['a'] = '----------------------';
+	
+foreach($groups as $listid => $listid2)
+	{
+    $options[$listid] = $listid2;
+	}
+  $template->assign(
+    'gestionB',
+    array(
+	  'OPTIONS' => $options,
+      'SELECTED' => $selected
+      ));
+	
+	
+
+//purge toutes les photos d'un album
+if (isset($_POST['submitchoixcat']) and is_numeric($_POST['delratecat'])and (!$_POST['delratecat'])==0 and !is_adviser())
+	{
+	$lire=$_POST['delratecat'];
+
+	$query = '
+select image_id
+  FROM ' . IMAGE_CATEGORY_TABLE . '
+  WHERE category_id = \''.$lire.'\'
+  ;';
+$result = pwg_query($query);
+
+$delval = array();
+while($row = mysql_fetch_array($result))
+	{
+    array_push($delval, $row['image_id']);
+	}
+
+foreach ($delval as $delrate)
+	{
+		$query = '
+		UPDATE ' . IMAGES_TABLE . '
+		SET average_rate = \'NULL\'
+		WHERE id = \''.$delrate.'\'
+    ;';
+$result = pwg_query($query);
+	
+		$query = '
+		DELETE FROM ' . RATE_TABLE . '
+		WHERE element_id = \''.$delrate.'\'
+		;';
+		$result = pwg_query($query);
+	}
+	  
+    break;
+	}
 } 
 
Index: /extensions/delete_rate/admin/admin.tpl
===================================================================
--- /extensions/delete_rate/admin/admin.tpl	(revision 7918)
+++ /extensions/delete_rate/admin/admin.tpl	(revision 7919)
@@ -31,2 +31,21 @@
 	</div>
 {/if}
+
+{if isset ($gestionB)}
+	  <h3>{'rate_cat'|@translate}</h3>
+	<div>
+	{'rate_onglet_categorie_info'|@translate}
+		<form method="post" >
+			<fieldset>
+				<legend>{'rate_listcat'|@translate}</legend>
+				
+		{html_options name="delratecat" options=$gestionB.OPTIONS selected=$gestionB.SELECTED}
+				<br>	
+				<br>
+					<div style="text-align:center;">
+					<input class="submit" name="submitchoixcat" type="submit" "onclick="return confirm('{'Are you sure?'|@translate}');" value="{'rate_purgecat'|@translate}" {$TAG_INPUT_ENABLED} />
+					</div>
+			</fieldset>
+		</form>
+	</div>
+{/if}
Index: /extensions/delete_rate/language/en_UK/description.txt
===================================================================
--- /extensions/delete_rate/language/en_UK/description.txt	(revision 7918)
+++ /extensions/delete_rate/language/en_UK/description.txt	(revision 7919)
@@ -1,1 +1,1 @@
-To purge the notes of photo or all photos
+To purge the notes of photo, pictures of a category/album or all photos
Index: /extensions/delete_rate/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/delete_rate/language/en_UK/plugin.lang.php	(revision 7918)
+++ /extensions/delete_rate/language/en_UK/plugin.lang.php	(revision 7919)
@@ -16,3 +16,12 @@
 $lang['rate_photook'] = 'Note purge completed successfully';
 
+//onglet purge les notes de toutes les images d'une categorie / d'un album
+$lang['rate_onglet_album'] = 'Purge rates of all the photos from one category';
+$lang['rate_onglet_categorie_info'] = 'Be careful rates of the photos are on several categories will purge in all categories';
+$lang['rate_select_cat'] = 'Select category';
+$lang['rate_cat'] = 'Choose the category when you want to purge';
+$lang['rate_listcat'] = 'Here is a list of your categories';
+$lang['rate_purgecat'] = 'Purge rates on all pictures select category';
+$lang['rate_albumok'] = 'Purge rates completed successfully from all category';
+
 ?>
Index: /extensions/delete_rate/language/fr_FR/description.txt
===================================================================
--- /extensions/delete_rate/language/fr_FR/description.txt	(revision 7918)
+++ /extensions/delete_rate/language/fr_FR/description.txt	(revision 7919)
@@ -1,1 +1,1 @@
-Purger les notes de la photo ou de toutes les photos
+Purger les notes d'un photo, des photos d'une catégorie/d'un album ou de toutes les photos de la galerie
Index: /extensions/delete_rate/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/delete_rate/language/fr_FR/plugin.lang.php	(revision 7918)
+++ /extensions/delete_rate/language/fr_FR/plugin.lang.php	(revision 7919)
@@ -16,3 +16,12 @@
 $lang['rate_photook'] = 'Purge de la note effectué avec succès';
 
+//onglet purge les notes de toutes les images d'une categorie / d'un album
+$lang['rate_onglet_album'] = 'Purger les notes de toutes les photos d\'une catégorie';
+$lang['rate_onglet_categorie_info'] = 'Attention les notes des photos qui sont sur plusieurs catégories seront purger dans toutes les catégories';
+$lang['rate_select_cat'] = 'Sélectionnez la catégorie';
+$lang['rate_cat'] = 'Choisiser la catégorie que vous voulez purger';
+$lang['rate_listcat'] = 'Voici la liste de vos catégories';
+$lang['rate_purgecat'] = 'Purger les notes de toutes les photos de la catégorie sélectionner';
+$lang['rate_albumok'] = 'Purge des notes effectué avec succès pour toutes la catégorie';
+
 ?>