Index: /extensions/addThis/admin/AddThis_admin.php
===================================================================
--- /extensions/addThis/admin/AddThis_admin.php	(revision 7924)
+++ /extensions/addThis/admin/AddThis_admin.php	(revision 7925)
@@ -31,4 +31,5 @@
 				l10n('AddThis'),
                $my_base_url.'&amp;tab=AddThis');
+$tabsheet->select($page['tab']);
 $tabsheet->assign();
 
Index: /extensions/addThis/language/lv_LV/description.txt
===================================================================
--- /extensions/addThis/language/lv_LV/description.txt	(revision 7925)
+++ /extensions/addThis/language/lv_LV/description.txt	(revision 7925)
@@ -0,0 +1,1 @@
+PievienoŠo (Addthis) aktivēšana
Index: /extensions/addThis/language/lv_LV/index.php
===================================================================
--- /extensions/addThis/language/lv_LV/index.php	(revision 7925)
+++ /extensions/addThis/language/lv_LV/index.php	(revision 7925)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/addThis/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/addThis/language/lv_LV/plugin.lang.php	(revision 7925)
+++ /extensions/addThis/language/lv_LV/plugin.lang.php	(revision 7925)
@@ -0,0 +1,40 @@
+<?php
+/*
+ * Plugin Name: AddThis
+ * Version: 0.0.3
+ * Description: Addthis activation
+ * Plugin URI: http://fr.piwigo.org/ext/extension_view.php
+ * Author: Tiico
+ * Author URI: 
+ * */
+/********* Fichier EN plugin.lang.php  *********/
+// AddThis button
+$lang['adthis_admin_title'] = 'PievienoŠo (Addthis) spraudņa konfigurēšana';
+$lang['addthis_bannercfg_title'] = 'Parametru skats';
+$lang['addthis_bannerselect_label'] = 'PievienoŠo skata tips';
+$lang['addthis_Home_label'] = 'Sākums (home)';
+$lang['addthis_Cat_label'] = 'Kategorijas';
+$lang['addthis_Img_label'] = 'Attēli';
+$lang['addthis_Disable_label'] = 'Atspējot';
+$lang['addthis_freetext_label'] = 'Brīvais teksts : ';
+$lang['addthis_icnonb_label'] = 'Tikai ikonas (limitēts ';
+$lang['addthis_paramcfg_title'] = 'Konfigurācijas parametri';
+$lang['addthis_optionselect_label'] = 'PievienoŠo izvēlnes personalizēšanas iespējas ar sekojošu iespēju (opciju) palīdzību';
+$lang['addthis_pub_label'] = 'PievienoŠo Konta ID [Izvēles]';
+$lang['addthis_brand_label'] = 'Saites nosaukums [Izvēles]';
+$lang['addthis_languser_label'] = 'Lietot lietotāja valodu. ';
+$lang['addthis_language_label'] = 'Valoda pēc noklusējuma : ';
+$lang['addthis_headerbackground_label'] = 'Izvēlnes fona krāsa [Izvēles] : ';
+$lang['addthis_headercolor_label'] = 'Izvēlnes teksta krāsa [Izvēles] : ';
+$lang['addthis_top_label'] = 'horizontāli';
+$lang['addthis_left_label'] = 'vertikāli';
+$lang['addthis_offset_label'] = 'Izvēlnes Ofsets [Izvēles] :';
+$lang['addthis_hover_delay_label'] = 'Izvēlnes hover kavējums [Izvēles] :';
+$lang['addthis_iconcfg_title'] = 'Ikonas un Saites PievienoŠo izvēlnē';
+
+$lang['addthis_admin_submit'] = 'Saglabāt';
+$lang['addthis_admin_submit_default_parameters'] = 'Parametri pēc noklusējuma';
+$lang['addthis_admin_icon_nb'] = 'Brīdinājums: ikonas numurs ir ļoti nozīmīgs';
+$lang['addthis_admin_saveOK'] = 'Parametri saglabāti';
+$lang['addthis_admin_defautvalueOK'] = 'Parametri pēc noklusējuma atjaunoti';
+?>