Index: extensions/Autosize/autosize.inc.php
===================================================================
--- extensions/Autosize/autosize.inc.php	(revision 7934)
+++ extensions/Autosize/autosize.inc.php	(revision 7943)
@@ -43,6 +43,5 @@
 		if (isset( $page['body_id'])  ) {
 		if ( $page['body_id']=='thePicturePage'  ) {
-			if ( isset($picture['current'])){
-				
+			if ( isset($picture['current'])){				
 				$autosize_parametres = cl_autosize_Get_Options();
 				include (AUTOSIZE_PATH."include/affiche.php"); 	
@@ -139,6 +138,5 @@
 		$my_path = dirname(__FILE__).'/';
 		$debug = isset($conf['debug']) ? $conf['debug'] : false ; 
-		$cl_conflit =  isset($conf['cl_conflit']) ? $conf['cl_conflit'] : 'true' ;
-
+		
 		$ThePicture = $template->get_template_vars('current');
 		$tpl_name =   $user['theme'] ;
@@ -162,9 +160,9 @@
  {
 	   global  $template,$user,$conf,$picture ,$page, $cl_plugin ;
-	   //userDefManage ??
+	 
 			$my_path =  basename(dirname(__FILE__)).'/' ;
 			$my_path = dirname(__FILE__).'/';
 			$debug = isset($conf['debug']) ? $conf['debug'] : false ; 
-			$cl_conflit =  isset($conf['cl_conflit']) ? $conf['cl_conflit'] : 'true' ;
+			
 			$theme=$user['theme'];
 			$template->assign(
@@ -173,5 +171,5 @@
 					'name' => $cl_plugin['name'] ,
 					'ma_page' =>	$page['body_id'],
-					'cl_conflit' => $cl_conflit  ,
+					
 					'theme' => $theme  ,
 					'DEBUG' => $debug   ,
@@ -182,5 +180,5 @@
 $autoscript="<script type='text/javascript'>
 if (typeof (save_framework) == 'function')
-save_framework('".$page['body_id']."');
+   save_framework('".$page['body_id']."');
 </script>";
 			 $template->append('footer_elements',$autoscript);  
@@ -199,5 +197,5 @@
 		$template->set_filenames(array('autosize_init'=>$my_path. "template/conflit.tpl" ) );	
 		$debug = isset($conf['debug']) ? $conf['debug'] : false ; 
-		$cl_conflit =  isset($conf['cl_conflit']) ? $conf['cl_conflit'] : 'true' ;			
+		
 		$theme=$user['theme'];
 			 
@@ -206,5 +204,5 @@
 						'cl_version' => $cl_plugin['version'] ,
 						'name' => $cl_plugin['name'] ,
-						'cl_conflit' => $cl_conflit  ,
+						
 						'theme' => $theme  ,
 						'DEBUG' => $debug   ,
@@ -220,51 +218,34 @@
 */
 static public function cl_ajuste_data($content){
-	   global  $template,$user,$conf,$picture ;
-	 $my_path = realpath(AUTOSIZE_PATH .'/');
-	 $userdata=$user;
-	 $fields = array( 'maxwidth', 'maxheight' );
+	global  $template,$user,$conf,$picture ;
+	$my_path = realpath(AUTOSIZE_PATH .'/');
+	$userdata=$user;
+	$fields = array( 'maxwidth', 'maxheight' );
 	 
-	 $ThePicture = $template->get_template_vars('current'); 
-			$data = array();
-			
-			 
-
+	$ThePicture = $template->get_template_vars('current'); 
+	$data = array();
  return $content;
 
-			$data['maxwidth'] = '1200';
-$data['maxheight'] ='250';
-			$data['user_id'] = $userdata['id'];
-	   foreach ($fields as $field)
-      {
-        if (isset($_POST[$field]))
-        {
-          $data[$field] = $_POST[$field];
-        }
-      }
+	$data['maxwidth'] = '1200';
+	$data['maxheight'] ='250';
+	$data['user_id'] = $userdata['id'];
+	foreach ($fields as $field)
+	{
+		if (isset($_POST[$field]))
+		{
+			$data[$field] = $_POST[$field];
+		}
+	}
 	
 	if($data['maxwidth'] != "" )
-{
-        $picture['current']['scaled_width']=$data['maxwidth'];
-		 $picture['current']['scaled_height']=$data['maxheight'];
-       mass_updates(USER_INFOS_TABLE,
-                   array('primary' => array('user_id'), 'update' => $fields),
-                   array($data));
-	
-}
-
- 
-		return $content;
-   /*
-		$template->assign(
-  						array(
-						'AUTOSIZE_PATH' => $my_path,
-											)
-						 );
- 
-		$template->parse( 'autosize_cl_init', false);
-		return $content;
-	*/
-
-										 
+		{
+		$picture['current']['scaled_width']=$data['maxwidth'];
+		$picture['current']['scaled_height']=$data['maxheight'];
+		mass_updates(USER_INFOS_TABLE,
+				array('primary' => array('user_id'), 'update' => $fields),
+				array($data));	
+		}
+		 
+		return $content;										 
 	 }
 
Index: extensions/Autosize/js/Affiche_script.js
===================================================================
--- extensions/Autosize/js/Affiche_script.js	(revision 7934)
+++ extensions/Autosize/js/Affiche_script.js	(revision 7943)
@@ -390,5 +390,5 @@
 
                          //=========================================================
-                         img_reelle.height = img_height  ;
+                         img_reelle.height = img_height;
                          img_reelle.width = Zone_Affichage.width;
 
@@ -665,10 +665,8 @@
 
                  //================ Zone affichage =========================
-                 //  Image_height, Image_width = valeur a atteindre.
+ 
                  if (theme.match(RegExp("luciano", "g"))) {
                      //---- information en dehors du cadre 
-                     //   Zone_Affichage.height -= Bandeau_bas.height - 20;
                      jQuery(Cadre).height(Zone_Affichage.height -= Bandeau_bas.height);
-
                  }
 
@@ -877,5 +875,5 @@
                      jQuery("#Debug5").css({ background: "transparent",
                          border: "red solid 2px",
-
+                         top: info_frame.top + "px",
                          left: info_frame.left + "px",
                          width: info_frame.width + "px",
Index: extensions/Autosize/js/conflit.js
===================================================================
--- extensions/Autosize/js/conflit.js	(revision 7934)
+++ extensions/Autosize/js/conflit.js	(revision 7943)
@@ -119,5 +119,5 @@
 
     } else if (retour.match(RegExp("luciano", "gi"))) {
-        $1 = $_;
+         
 
         ret_element = jQuery().$Luciano(element, nc);
@@ -417,4 +417,29 @@
             }
             //======================
+            //? bubble  
+            Expression = new RegExp("\\$", "gi")
+            if (fn.match(Expression)) {
+                if (fn.match(RegExp("rateForm", "gi"))) {
+
+                    states.push('Luciano');
+                    break;
+                }
+            }
+            // "window.fireEvent('domready')"
+            Expression = new RegExp("window.fireEvent", "gi")
+            if (fn.match(Expression)) {  //luciano
+                // "window.fireEvent('domready')"
+                Expression = new RegExp("window.fireEvent..domready..", "gi")
+                if (fn.match(Expression)) {
+                    states.push('Luciano');
+                    break;
+                }
+            }
+            if (fn.match(RegExp("(splat|buildFrameWork|photoNext)", "gi"))) {  //luciano
+
+                states.push('Luciano');
+                break;
+            }
+            //======================
             if (fn.match(RegExp("_footer|ie_ready|makeDraggable|droppables", "gi"))) {
 
@@ -444,28 +469,5 @@
                 break;
             }
-            //? bubble  
-            Expression = new RegExp("\\$", "gi")
-            if (fn.match(Expression)) {
-                if (fn.match(RegExp("rateForm", "gi"))) {
-
-                    states.push('Luciano');
-                    break;
-                }
-            }
-            // "window.fireEvent('domready')"
-            Expression = new RegExp("window.fireEvent", "gi")
-            if (fn.match(Expression)) {  //luciano
-                // "window.fireEvent('domready')"
-                Expression = new RegExp("window.fireEvent..domready..", "gi")
-                if (fn.match(Expression)) {
-                    states.push('Luciano');
-                    break;
-                }
-            }
-            if (fn.match(RegExp("(splat|buildFrameWork|photoNext)", "gi"))) {  //luciano
-
-                states.push('Luciano');
-                break;
-            }
+
 
             if (all_functions.length > 50) 
@@ -555,5 +557,7 @@
 })(jQuery);
 
-
+ 
+ 
+$_0= $;
 function $(element, nc0) {
     a = conflit(element, nc0);
@@ -583,4 +587,6 @@
     }
 }
+ 
+
 $_ = $;
 function save_framework(page) {
@@ -591,5 +597,5 @@
     }
     
-    $_ = $;
+    $_2 = $;
     return
 
Index: extensions/Autosize/main.inc.php
===================================================================
--- extensions/Autosize/main.inc.php	(revision 7934)
+++ extensions/Autosize/main.inc.php	(revision 7943)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: AutoSize
-Version: 1.3.9.4
+Version: 1.3.9.5
 Description: Ajuste l'affichage des photos en fonction de la hauteur de la fenetre de navigation
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=448
Index: extensions/Autosize/template/conflit.tpl
===================================================================
--- extensions/Autosize/template/conflit.tpl	(revision 7934)
+++ extensions/Autosize/template/conflit.tpl	(revision 7943)
@@ -3,7 +3,6 @@
 {known_script id="jquery" src=$ROOT_URL|@cat:"themes/default/js/jquery.packed.js" now=1} 
 {known_script id="dimensions" src=$AUTOSIZE_PATH|@cat:"js/jquery.dimensions.js"} 
-{if $cl_conflit == 'true'} 
-   {known_script id="conflit_script" src=$AUTOSIZE_PATH|@cat:"js/conflit.js"}
-{/if}
+{known_script id="conflit_script" src=$AUTOSIZE_PATH|@cat:"js/conflit.js"}
+
 
 