Index: /extensions/cl_conflit/conflit.inc.php
===================================================================
--- /extensions/cl_conflit/conflit.inc.php	(revision 7943)
+++ /extensions/cl_conflit/conflit.inc.php	(revision 7944)
@@ -39,12 +39,16 @@
 		$template->set_filenames(array('cl_conflit_init'=>$my_path. "template/conflit.tpl" ) );	
 		$debug = isset($conf['debug']) ? $conf['debug'] : false ; 
-		$cl_conflit =  isset($conf['cl_conflit']) ? $conf['cl_conflit'] : 'true' ;			
+$cl_conflit_parametres =	 cl_conflit_Get_Options() ;
+
+		 	
 		$theme=$user['theme'];
 		
   		$template->assign(
   						array( 
+						'cl_conflit_parametres' => $cl_conflit_parametres ,
+						'cl_plugins' => $cl_plugin ,
 						'cl_version' => $cl_plugin['version'] ,
 						'name' => $cl_plugin['name'] ,
-						'cl_conflit' => $cl_conflit  ,
+						 
 						'theme' => $theme  ,
 						'DEBUG' => $debug   ,
@@ -66,5 +70,5 @@
 			$my_path = dirname(__FILE__).'/';
 			$debug = isset($conf['debug']) ? $conf['debug'] : false ; 
-			$cl_conflit =  isset($conf['cl_conflit']) ? $conf['cl_conflit'] : 'true' ;
+			 
 			$theme=$user['theme'];
 
@@ -74,5 +78,5 @@
 						'name' => $cl_plugin['name'] ,
 						'ma_page' =>	$page['body_id'],
-						'cl_conflit' => $cl_conflit  ,
+						 
 						'theme' => $theme  ,
 						'DEBUG' => $debug   ,
@@ -102,5 +106,5 @@
 			$my_path = dirname(__FILE__).'/';
 			$debug = isset($conf['debug']) ? $conf['debug'] : false ; 
-			$cl_conflit =  isset($conf['cl_conflit']) ? $conf['cl_conflit'] : 'true' ;
+			 
 			$theme=$user['theme'];
 
@@ -153,6 +157,6 @@
   global $cl_conflit_parametres;
 //=============================================================================
-$cl_conflit_parametres->query =(isset($_POST['query'])) ? $_POST['query'] : ((isset($cl_conflit_parametres->query )) ? $cl_conflit_parametres->query : '' ) ;
-$cl_conflit_parametres->type=(isset($_POST['type']))? $_POST['type']: ((isset($cl_conflit_parametres->type)) ? $cl_conflit_parametres->type:  '') ;
+$cl_conflit_parametres->query =(isset($_POST['query'])) ? $_POST['query'] : ((isset($cl_conflit_parametres->query )) ? $cl_conflit_parametres->query : 'Qt' ) ;
+$cl_conflit_parametres->type=(isset($_POST['type']))? $_POST['type']: ((isset($cl_conflit_parametres->type)) ? $cl_conflit_parametres->type:  'Ty') ;
 
  
Index: /extensions/cl_conflit/include/affiche.php
===================================================================
--- /extensions/cl_conflit/include/affiche.php	(revision 7943)
+++ /extensions/cl_conflit/include/affiche.php	(revision 7944)
@@ -4,5 +4,4 @@
 
 $visible=(isset($visible))?$visible:false;
-$cl_version=isset($cl_version)?$cl_version:"";
 $theme=$user['theme'];
  
@@ -10,6 +9,4 @@
   	$template->assign(
   					array(
-					'cl_version' => $cl_version,
-					'cl_plugin' => $cl_plugin,
                     'CONFLIT_PATH' => CONFLIT_PATH,
                     'theme' => $theme,
Index: /extensions/cl_conflit/js/conflit.js
===================================================================
--- /extensions/cl_conflit/js/conflit.js	(revision 7943)
+++ /extensions/cl_conflit/js/conflit.js	(revision 7944)
@@ -118,5 +118,5 @@
 
     } else if (retour.match(RegExp("luciano", "gi"))) {
-        $1 = $_;
+         
 
         ret_element = jQuery().$Luciano(element, nc);
@@ -412,4 +412,29 @@
             }
             //======================
+            //? bubble  
+            Expression = new RegExp("\\$", "gi")
+            if (fn.match(Expression)) {
+                if (fn.match(RegExp("rateForm", "gi"))) {
+
+                    states.push('Luciano');
+                    break;
+                }
+            }
+            // "window.fireEvent('domready')"
+            Expression = new RegExp("window.fireEvent", "gi")
+            if (fn.match(Expression)) {  //luciano
+                // "window.fireEvent('domready')"
+                Expression = new RegExp("window.fireEvent..domready..", "gi")
+                if (fn.match(Expression)) {
+                    states.push('Luciano');
+                    break;
+                }
+            }
+            if (fn.match(RegExp("(splat|buildFrameWork|photoNext)", "gi"))) {  //luciano
+
+                states.push('Luciano');
+                break;
+            }
+            //======================
             if (fn.match(RegExp("_footer|ie_ready|makeDraggable|droppables", "gi"))) {
 
@@ -439,28 +464,5 @@
                 break;
             }
-            //? bubble  
-            Expression = new RegExp("\\$", "gi")
-            if (fn.match(Expression)) {
-                if (fn.match(RegExp("rateForm", "gi"))) {
-
-                    states.push('Luciano');
-                    break;
-                }
-            }
-            // "window.fireEvent('domready')"
-            Expression = new RegExp("window.fireEvent", "gi")
-            if (fn.match(Expression)) {  //luciano
-                // "window.fireEvent('domready')"
-                Expression = new RegExp("window.fireEvent..domready..", "gi")
-                if (fn.match(Expression)) {
-                    states.push('Luciano');
-                    break;
-                }
-            }
-            if (fn.match(RegExp("(splat|buildFrameWork|photoNext)", "gi"))) {  //luciano
-
-                states.push('Luciano');
-                break;
-            }
+
 
             if (all_functions.length > 50) 
@@ -556,5 +558,7 @@
 })(jQuery);
 
-
+ 
+ 
+$_0= $;
 function $(element, nc0) {
     a = conflit(element, nc0);
@@ -586,4 +590,6 @@
 
 }
+ 
+
 $_ = $;
 function save_framework(page) {
@@ -594,5 +600,5 @@
     }
     
-    $_ = $;
+    $_2 = $;
     return
 
Index: /extensions/cl_conflit/template/conflit.tpl
===================================================================
--- /extensions/cl_conflit/template/conflit.tpl	(revision 7943)
+++ /extensions/cl_conflit/template/conflit.tpl	(revision 7944)
@@ -10,3 +10,13 @@
     var cl_version = '{$cl_version}';
     var cl_plugin = '{$name}';
+    var cl_query = '{$cl_conflit_parametres->query}';
+    var cl_type = '{$cl_conflit_parametres->type}';
+    var cl_plugins=new Array();
+{if $DEBUG}
+ {if not empty($cl_plugins )}
+   {foreach from=$cl_plugins item=cl_plug }
+        value='{$cl_plug}';cl_plugins.push(value);           
+    {/foreach}
+ {/if}
+{/if}
 </script>