Index: /extensions/Statistics/language/es_ES/description.txt
===================================================================
--- /extensions/Statistics/language/es_ES/description.txt	(revision 7953)
+++ /extensions/Statistics/language/es_ES/description.txt	(revision 7953)
@@ -0,0 +1,1 @@
+Añada del código fuente como 'Google Analytics' sobre cada página.
Index: /extensions/Statistics/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/Statistics/language/es_ES/plugin.lang.php	(revision 7952)
+++ /extensions/Statistics/language/es_ES/plugin.lang.php	(revision 7953)
Index: /extensions/Statistics/language/fr_FR/description.txt
===================================================================
--- /extensions/Statistics/language/fr_FR/description.txt	(revision 7953)
+++ /extensions/Statistics/language/fr_FR/description.txt	(revision 7953)
@@ -0,0 +1,1 @@
+Ajoutez du code source comme 'Google Analytics' sur chaque page.
Index: /extensions/Statistics/language/lv_LV/description.txt
===================================================================
--- /extensions/Statistics/language/lv_LV/description.txt	(revision 7953)
+++ /extensions/Statistics/language/lv_LV/description.txt	(revision 7953)
@@ -0,0 +1,1 @@
+Pievieno avota kodu uz katras lapas līdzīgi kā Google Analytics.
Index: /extensions/Statistics/language/lv_LV/index.php
===================================================================
--- /extensions/Statistics/language/lv_LV/index.php	(revision 7953)
+++ /extensions/Statistics/language/lv_LV/index.php	(revision 7953)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/Statistics/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/Statistics/language/lv_LV/plugin.lang.php	(revision 7953)
+++ /extensions/Statistics/language/lv_LV/plugin.lang.php	(revision 7953)
@@ -0,0 +1,10 @@
+<?php
+$lang['Howto'] = 'Šis spraudnis ļauj jums ievietot Google Analytics, Piwik un citu doto kodu visās jūsu galerijas lapās';
+$lang['statistics_admin'] = 'Statistikas Administrēšana';
+$lang['statistics_admin_description'] = 'Ielīmēt kodu šeit. ';
+$lang['stat_header'] = 'Ievietot kodu galvenē';
+$lang['stat_tail'] = 'Ievietot kodu kājenē';
+$lang['statistics_save_config'] = 'Dati saglabāti';
+$lang['stat_admin'] = 'Izņemt administratoru no statistikas.';
+$lang['stat_guest'] = 'Izņemt viesi no statistikas.';
+?>